/************************************************************************************
*                                                                                   *
*   reposi_s.sql       SILVERRUN ENTERPRISE BPM/RDM 2.8/2.9   Grandite              *
*                      SILVERRUN ENTREPRISE DFD/MRD 2.8/2.9   Grandite              *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Log in as:                                  Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script creating SILVERRUN tables and        Script creant les tables et index   *
*   indexes on segment default.                 SILVERRUN a l'interieur du "segment"*
*                                               default.                            *
*                                                                                   *
************************************************************************************/


use silverrun_db
go


CREATE TABLE dCell
(
  dBorderB char(1) NULL,
  dBorderR char(1) NULL,
  dBottom int NULL,
  dColumnID smallint NULL,
  dFontName varchar(240) NULL,
  dFontSize smallint NULL,
  dFontStyle smallint NULL,
  dFrmAlign char(1) NULL,
  dHorAlign smallint NULL,
  dKey char(19) NULL,
  dLeft int NULL,
  dLineID smallint NULL,
  dProcFrmK int NULL,
  dRight int NULL,
  dSRRepK int NULL,
  dText varchar(240) NULL,
  dTop int NULL,
  dVerAlign smallint NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idCellL ON dCell
(K, zTransNo)
go
CREATE INDEX i043121 ON dCell
(dSRRepK, K)
go
CREATE INDEX i043119 ON dCell
(dProcFrmK, K)
go

CREATE TABLE dCpnProc
(
  dComment int NULL,
  dComponK int NULL,
  dCorrCatK int NULL,
  dCreatDate datetime NULL,
  dKey char(19) NULL,
  dModifDate datetime NULL,
  dProcessK int NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idCpnProcL ON dCpnProc
(K, zTransNo)
go
CREATE INDEX i043006 ON dCpnProc
(dCorrCatK, K)
go
CREATE INDEX i043005 ON dCpnProc
(dComponK, K)
go
CREATE INDEX i043007 ON dCpnProc
(dProcessK, K)
go
CREATE INDEX i043011 ON dCpnProc
(dSRRepK, K)
go

CREATE TABLE dCpnStor
(
  dComment int NULL,
  dComponK int NULL,
  dCorrCatK int NULL,
  dCreatDate datetime NULL,
  dKey char(19) NULL,
  dModifDate datetime NULL,
  dSRRepK int NULL,
  dStoreK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idCpnStorL ON dCpnStor
(K, zTransNo)
go
CREATE INDEX i042913 ON dCpnStor
(dCorrCatK, K)
go
CREATE INDEX i042915 ON dCpnStor
(dComponK, K)
go
CREATE INDEX i042909 ON dCpnStor
(dStoreK, K)
go
CREATE INDEX i042917 ON dCpnStor
(dSRRepK, K)
go

CREATE TABLE dDiag
(
  dAutoFit char(1) NULL,
  dBgndColrB smallint NULL,
  dBgndColrG smallint NULL,
  dBgndColrR smallint NULL,
  dGridActiv char(1) NULL,
  dGridDisp char(1) NULL,
  dGridHeigt int NULL,
  dGridWidth int NULL,
  dHorNbPage int NULL,
  dId int NULL,
  dKey char(19) NULL,
  dNxtRGId int NULL,
  dOriPagNbr smallint NULL,
  dPageHeigh int NULL,
  dPageNoPos smallint NULL,
  dPageSetup int NULL,
  dPageShown char(1) NULL,
  dPageWidth int NULL,
  dPrintColr char(1) NULL,
  dPrintFit char(1) NULL,
  dProcessK int NULL,
  dProcHierK int NULL,
  dReposLabl char(1) NULL,
  dSRRepK int NULL,
  dTreeOpt smallint NULL,
  dUpdated char(1) NULL,
  dVerNbPage int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idDiagL ON dDiag
(K, zTransNo)
go
CREATE INDEX i045040 ON dDiag
(dSRRepK, K)
go

CREATE TABLE dDispDes
(
  dDesId int NULL,
  dFilterKey char(19) NULL,
  dKey char(19) NULL,
  dSequence smallint NULL,
  dSortDesId int NULL,
  dSRRepK int NULL,
  dUserFldK int NULL,
  dZoneK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idDispDesL ON dDispDes
(K, zTransNo)
go
CREATE INDEX i040511 ON dDispDes
(dUserFldK, K)
go
CREATE INDEX i040509 ON dDispDes
(dSRRepK, K)
go
CREATE INDEX i040506 ON dDispDes
(dZoneK, K)
go

CREATE TABLE dExEnGR
(
  dExEnGRK int NULL,
  dExEnPrsK int NULL,
  dGrapRepK int NULL,
  dKey char(19) NULL,
  dNbDuplic smallint NULL,
  dNoDuplic smallint NULL,
  dQualGRK int NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idExEnGRL ON dExEnGR
(K, zTransNo)
go
CREATE INDEX i042006 ON dExEnGR
(dExEnGRK, K)
go
CREATE INDEX i042004 ON dExEnGR
(dExEnPrsK, K)
go
CREATE INDEX i042022 ON dExEnGR
(dSRRepK, K)
go

CREATE TABLE dExEnPrs
(
  dExtEntK int NULL,
  dKey char(19) NULL,
  dProcessK int NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idExEnPrsL ON dExEnPrs
(K, zTransNo)
go
CREATE INDEX i041302 ON dExEnPrs
(dExtEntK, K)
go
CREATE INDEX i041305 ON dExEnPrs
(dProcessK, K)
go
CREATE INDEX i041309 ON dExEnPrs
(dSRRepK, K)
go

CREATE TABLE dExtEnt
(
  dAlias varchar(240) NULL,
  dCodedName varchar(240) NULL,
  dComment int NULL,
  dControl char(1) NULL,
  dDescript varchar(240) NULL,
  dId smallint NULL,
  dKey char(19) NULL,
  dName varchar(240) NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idExtEntL ON dExtEnt
(K, zTransNo)
go
CREATE INDEX i040720 ON dExtEnt
(dSRRepK, K)
go

CREATE TABLE dFigure
(
  dCategory smallint NULL,
  dFigurGRK int NULL,
  dId int NULL,
  dKey char(19) NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idFigureL ON dFigure
(K, zTransNo)
go
CREATE INDEX i046207 ON dFigure
(dSRRepK, K)
go

CREATE TABLE dFigurGR
(
  dFigureK int NULL,
  dGrapRepK int NULL,
  dKey char(19) NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idFigurGRL ON dFigurGR
(K, zTransNo)
go
CREATE INDEX i046308 ON dFigurGR
(dSRRepK, K)
go

CREATE TABLE dFlow
(
  dAlias varchar(240) NULL,
  dArrow1 char(1) NULL,
  dArrow2 char(1) NULL,
  dChoi1Conc int NULL,
  dChoi2Conc int NULL,
  dChoice1K int NULL,
  dChoice2K int NULL,
  dCodedName varchar(240) NULL,
  dComment int NULL,
  dContFlowK int NULL,
  dControl char(1) NULL,
  dDiscrete char(1) NULL,
  dEmisCond varchar(240) NULL,
  dFlowGRK int NULL,
  dFrequency int NULL,
  dId varchar(240) NULL,
  dKey char(19) NULL,
  dName varchar(240) NULL,
  dProcessK int NULL,
  dSRRepK int NULL,
  dStructK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idFlowL ON dFlow
(K, zTransNo)
go
CREATE INDEX i040820 ON dFlow
(dChoice1K, K)
go
CREATE INDEX i040823 ON dFlow
(dChoice2K, K)
go
CREATE INDEX i040812 ON dFlow
(dContFlowK, K)
go
CREATE INDEX i040837 ON dFlow
(dProcessK, K)
go
CREATE INDEX i040843 ON dFlow
(dSRRepK, K)
go
CREATE INDEX i040841 ON dFlow
(dStructK, K)
go

CREATE TABLE dFlowGR
(
  dChoi1Conc int NULL,
  dChoi2Conc int NULL,
  dChoice1K int NULL,
  dChoice2K int NULL,
  dFlowK int NULL,
  dFlowType smallint NULL,
  dGrapRepK int NULL,
  dKey char(19) NULL,
  dPoints varbinary(240) NULL,
  dQualGRK int NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idFlowGRL ON dFlowGR
(K, zTransNo)
go
CREATE INDEX i042123 ON dFlowGR
(dSRRepK, K)
go
CREATE INDEX i042112 ON dFlowGR
(dChoice1K, K)
go
CREATE INDEX i042115 ON dFlowGR
(dChoice2K, K)
go

CREATE TABLE dFont
(
  dDesCatPfx varchar(240) NULL,
  dDesCatSty smallint NULL,
  dDiagK int NULL,
  dId smallint NULL,
  dKey char(19) NULL,
  dName varchar(240) NULL,
  dPfxDisp char(1) NULL,
  dSize smallint NULL,
  dSRRepK int NULL,
  dStyle smallint NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idFontL ON dFont
(K, zTransNo)
go
CREATE INDEX i045108 ON dFont
(dDiagK, K)
go
CREATE INDEX i045112 ON dFont
(dSRRepK, K)
go

CREATE TABLE dFText
(
  dFontName varchar(240) NULL,
  dFontSize smallint NULL,
  dFontStyle smallint NULL,
  dFTextGRK int NULL,
  dId int NULL,
  dKey char(19) NULL,
  dSRRepK int NULL,
  dText int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idFTextL ON dFText
(K, zTransNo)
go
CREATE INDEX i045711 ON dFText
(dSRRepK, K)
go

CREATE TABLE dFTextGR
(
  dFtextK int NULL,
  dGrapRepK int NULL,
  dKey char(19) NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idFTextGRL ON dFTextGR
(K, zTransNo)
go
CREATE INDEX i045508 ON dFTextGR
(dSRRepK, K)
go

CREATE TABLE dGrapRep
(
  dActColr char(1) NULL,
  dBgColr char(1) NULL,
  dBgndColrB smallint NULL,
  dBgndColrG smallint NULL,
  dBgndColrR smallint NULL,
  dBottom int NULL,
  dDiagK int NULL,
  dDotted char(1) NULL,
  dFgndColrB smallint NULL,
  dFgndColrG smallint NULL,
  dFgndColrR smallint NULL,
  dHidden char(1) NULL,
  dId int NULL,
  dKey char(19) NULL,
  dLeft int NULL,
  dOutlined char(1) NULL,
  dRight int NULL,
  dSpecConc int NULL,
  dSpecK int NULL,
  dSRRepK int NULL,
  dTextColr char(1) NULL,
  dTextColrB smallint NULL,
  dTextColrG smallint NULL,
  dTextColrR smallint NULL,
  dTop int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idGrapRepL ON dGrapRep
(K, zTransNo)
go
CREATE INDEX i045315 ON dGrapRep
(dDiagK, K)
go
CREATE INDEX i045331 ON dGrapRep
(dSRRepK, K)
go

CREATE TABLE dLabelGR
(
  dGrapRepK int NULL,
  dKey char(19) NULL,
  dLabelGRK int NULL,
  dSRRepK int NULL,
  dZoneK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idLabelGRL ON dLabelGR
(K, zTransNo)
go
CREATE INDEX i042314 ON dLabelGR
(dSRRepK, K)
go
CREATE INDEX i042302 ON dLabelGR
(dLabelGRK, K)
go
CREATE INDEX i042306 ON dLabelGR
(dZoneK, K)
go

CREATE TABLE dLine
(
  dCategory smallint NULL,
  dId int NULL,
  dKey char(19) NULL,
  dLineGRK int NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idLineL ON dLine
(K, zTransNo)
go
CREATE INDEX i046007 ON dLine
(dSRRepK, K)
go

CREATE TABLE dLineGR
(
  dGrapRepK int NULL,
  dKey char(19) NULL,
  dLineK int NULL,
  dPoints varbinary(240) NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idLineGRL ON dLineGR
(K, zTransNo)
go
CREATE INDEX i046109 ON dLineGR
(dSRRepK, K)
go

CREATE TABLE dLinkGR
(
  dGrapRepK int NULL,
  dKey char(19) NULL,
  dNodeK int NULL,
  dOrder int NULL,
  dParNodGrK int NULL,
  dPoints varbinary(240) NULL,
  dRoNodeGrK int NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idLinkGRL ON dLinkGR
(K, zTransNo)
go
CREATE INDEX i046810 ON dLinkGR
(dSRRepK, K)
go
CREATE INDEX i046804 ON dLinkGR
(dParNodGrK, K)
go
CREATE INDEX i046812 ON dLinkGR
(dRoNodeGrK, K)
go

CREATE TABLE dNode
(
  dDeep smallint NULL,
  dGrapRepK int NULL,
  dKey char(19) NULL,
  dLinkGRK int NULL,
  dNodeCK int NULL,
  dNodeK int NULL,
  dProcessK int NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idNodeL ON dNode
(K, zTransNo)
go
CREATE INDEX i046708 ON dNode
(dProcessK, K)
go
CREATE INDEX i046712 ON dNode
(dSRRepK, K)
go

CREATE TABLE dPictGR
(
  dBottom int NULL,
  dGrapRepK int NULL,
  dKey char(19) NULL,
  dLeft int NULL,
  dPicture int NULL,
  dPictureK int NULL,
  dRight int NULL,
  dSRRepK int NULL,
  dTop int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idPictGRL ON dPictGR
(K, zTransNo)
go
CREATE INDEX i046414 ON dPictGR
(dSRRepK, K)
go

CREATE TABLE dPicture
(
  dCategory smallint NULL,
  dId int NULL,
  dKey char(19) NULL,
  dPictGRK int NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idPictureL ON dPicture
(K, zTransNo)
go
CREATE INDEX i046507 ON dPicture
(dSRRepK, K)
go

CREATE TABLE dProcess
(
  dAlias varchar(240) NULL,
  dAnID varchar(240) NULL,
  dCodedName varchar(240) NULL,
  dComment int NULL,
  dControl char(1) NULL,
  dDiagHierK int NULL,
  dDiagK int NULL,
  dExploded char(1) NULL,
  dExternal char(1) NULL,
  dFixedCost float NULL,
  dFixedTime float NULL,
  dFixTimUnt smallint NULL,
  dHierAnID varchar(240) NULL,
  dHierNumID varchar(240) NULL,
  dKey char(19) NULL,
  dName varchar(240) NULL,
  dNumID smallint NULL,
  dNxtProcId smallint NULL,
  dPaProcK int NULL,
  dPartCost float NULL,
  dPartTime float NULL,
  dPrtTimUnt smallint NULL,
  dRepresK int NULL,
  dRessCost float NULL,
  dRessTime float NULL,
  dResTimUnt smallint NULL,
  dSRRepK int NULL,
  dSynchRule varchar(240) NULL,
  dTotlCost float NULL,
  dTotlTime float NULL,
  dTotTimUnt smallint NULL,
  K int NOT NULL,
  wSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idProcessL ON dProcess
(K, zTransNo)
go
CREATE INDEX i041615 ON dProcess
(dPaProcK, K)
go
CREATE INDEX i041638 ON dProcess
(dSRRepK, K)
go
CREATE INDEX i041650 ON dProcess
(dRepresK, K)
go

CREATE TABLE dProcFrm
(
  dGrapRepK int NULL,
  dKey char(19) NULL,
  dProcessK int NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idProcFrmL ON dProcFrm
(K, zTransNo)
go
CREATE INDEX i042202 ON dProcFrm
(dProcessK, K)
go
CREATE INDEX i042212 ON dProcFrm
(dSRRepK, K)
go

CREATE TABLE dProcGR
(
  dGrapRepK int NULL,
  dKey char(19) NULL,
  dNbDuplic smallint NULL,
  dNoDuplic smallint NULL,
  dProcessK int NULL,
  dProcPrsK int NULL,
  dQualGRK int NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idProcGRL ON dProcGR
(K, zTransNo)
go
CREATE INDEX i042504 ON dProcGR
(dProcPrsK, K)
go
CREATE INDEX i042506 ON dProcGR
(dProcessK, K)
go
CREATE INDEX i042522 ON dProcGR
(dSRRepK, K)
go

CREATE TABLE dProcPrs
(
  dKey char(19) NULL,
  dProcProcK int NULL,
  dPrsProcK int NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idProcPrsL ON dProcPrs
(K, zTransNo)
go
CREATE INDEX i041503 ON dProcPrs
(dProcProcK, K)
go
CREATE INDEX i041505 ON dProcPrs
(dPrsProcK, K)
go
CREATE INDEX i041509 ON dProcPrs
(dSRRepK, K)
go

CREATE TABLE dQualGR
(
  dChoiceK int NULL,
  dChoiConc int NULL,
  dGrapRepK int NULL,
  dKey char(19) NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idQualGRL ON dQualGR
(K, zTransNo)
go
CREATE INDEX i042413 ON dQualGR
(dSRRepK, K)
go
CREATE INDEX i042407 ON dQualGR
(dChoiceK, K)
go

CREATE TABLE dQualif
(
  dAvailable char(1) NULL,
  dComment int NULL,
  dIconId smallint NULL,
  dId varchar(240) NULL,
  dKey char(19) NULL,
  dName varchar(240) NULL,
  dSequence smallint NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idQualifL ON dQualif
(K, zTransNo)
go
CREATE INDEX i040014 ON dQualif
(dSRRepK, K)
go

CREATE TABLE dQulExEn
(
  dComment int NULL,
  dExtEntK int NULL,
  dKey char(19) NULL,
  dQualif int NULL,
  dRate float NULL,
  dRateUnit varchar(240) NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idQulExEnL ON dQulExEn
(K, zTransNo)
go
CREATE INDEX i040208 ON dQulExEn
(dExtEntK, K)
go
CREATE INDEX i040206 ON dQulExEn
(dQualif, K)
go
CREATE INDEX i040212 ON dQulExEn
(dSRRepK, K)
go

CREATE TABLE dQulFlow
(
  dComment int NULL,
  dFlowK int NULL,
  dKey char(19) NULL,
  dQualif int NULL,
  dRate float NULL,
  dRateUnit varchar(240) NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idQulFlowL ON dQulFlow
(K, zTransNo)
go
CREATE INDEX i040308 ON dQulFlow
(dFlowK, K)
go
CREATE INDEX i040306 ON dQulFlow
(dQualif, K)
go
CREATE INDEX i040312 ON dQulFlow
(dSRRepK, K)
go

CREATE TABLE dQulProc
(
  dComment int NULL,
  dKey char(19) NULL,
  dProcessK int NULL,
  dQualif int NULL,
  dRate float NULL,
  dRateUnit varchar(240) NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idQulProcL ON dQulProc
(K, zTransNo)
go
CREATE INDEX i040408 ON dQulProc
(dProcessK, K)
go
CREATE INDEX i040406 ON dQulProc
(dQualif, K)
go
CREATE INDEX i040412 ON dQulProc
(dSRRepK, K)
go

CREATE TABLE dQulSto
(
  dComment int NULL,
  dKey char(19) NULL,
  dQualif int NULL,
  dRate float NULL,
  dRateUnit varchar(240) NULL,
  dSRRepK int NULL,
  dStoreK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idQulStoL ON dQulSto
(K, zTransNo)
go
CREATE INDEX i040108 ON dQulSto
(dStoreK, K)
go
CREATE INDEX i040106 ON dQulSto
(dQualif, K)
go
CREATE INDEX i040112 ON dQulSto
(dSRRepK, K)
go

CREATE TABLE dResourc
(
  dAlias varchar(240) NULL,
  dCategory varchar(240) NULL,
  dCodedName varchar(240) NULL,
  dComment int NULL,
  dCost float NULL,
  dCstTimUnt smallint NULL,
  dId varchar(240) NULL,
  dKey char(19) NULL,
  dName varchar(240) NULL,
  dSRRepK int NULL,
  dUserName varchar(240) NULL,
  dWorkLoad float NULL,
  dWrkLodUnt smallint NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idResourcL ON dResourc
(K, zTransNo)
go
CREATE INDEX i041714 ON dResourc
(dSRRepK, K)
go

CREATE TABLE dResProc
(
  dComment int NULL,
  dDisplayed char(1) NULL,
  dKey char(19) NULL,
  dProcessK int NULL,
  dResourcK int NULL,
  dRole varchar(240) NULL,
  dSequence smallint NULL,
  dSRRepK int NULL,
  dUsageRate float NULL,
  dUsgRatUnt smallint NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idResProcL ON dResProc
(K, zTransNo)
go
CREATE INDEX i041804 ON dResProc
(dProcessK, K)
go
CREATE INDEX i041811 ON dResProc
(dSRRepK, K)
go
CREATE INDEX i041806 ON dResProc
(dResourcK, K)
go

CREATE TABLE dStamp
(
  dId int NULL,
  dKey char(19) NULL,
  dSRRepK int NULL,
  dStampGRK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idStampL ON dStamp
(K, zTransNo)
go
CREATE INDEX i045806 ON dStamp
(dSRRepK, K)
go

CREATE TABLE dStampGR
(
  dGrapRepK int NULL,
  dKey char(19) NULL,
  dSRRepK int NULL,
  dStampK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idStampGRL ON dStampGR
(K, zTransNo)
go
CREATE INDEX i045608 ON dStampGR
(dSRRepK, K)
go

CREATE TABLE dStore
(
  dAlias varchar(240) NULL,
  dCodedName varchar(240) NULL,
  dComment int NULL,
  dControl char(1) NULL,
  dCreatDate datetime NULL,
  dId smallint NULL,
  dKey char(19) NULL,
  dModifDate datetime NULL,
  dName varchar(240) NULL,
  dSRRepK int NULL,
  dStructK int NULL,
  dVolume int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idStoreL ON dStore
(K, zTransNo)
go
CREATE INDEX i040630 ON dStore
(dSRRepK, K)
go
CREATE INDEX i040628 ON dStore
(dStructK, K)
go

CREATE TABLE dStoreGR
(
  dGrapRepK int NULL,
  dKey char(19) NULL,
  dNbDuplic smallint NULL,
  dNoDuplic smallint NULL,
  dQualGRK int NULL,
  dSRRepK int NULL,
  dStoreGRK int NULL,
  dStorPrsK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idStoreGRL ON dStoreGR
(K, zTransNo)
go
CREATE INDEX i041906 ON dStoreGR
(dStoreGRK, K)
go
CREATE INDEX i041904 ON dStoreGR
(dStorPrsK, K)
go
CREATE INDEX i041922 ON dStoreGR
(dSRRepK, K)
go

CREATE TABLE dStorPrs
(
  dKey char(19) NULL,
  dProcessK int NULL,
  dSRRepK int NULL,
  dStoreK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idStorPrsL ON dStorPrs
(K, zTransNo)
go
CREATE INDEX i041202 ON dStorPrs
(dStoreK, K)
go
CREATE INDEX i041205 ON dStorPrs
(dProcessK, K)
go
CREATE INDEX i041209 ON dStorPrs
(dSRRepK, K)
go

CREATE TABLE dZone
(
  dActive char(1) NULL,
  dConceptId int NULL,
  dId smallint NULL,
  dJustifica smallint NULL,
  dKey char(19) NULL,
  dSeparLine char(1) NULL,
  dSRRepK int NULL,
  K int NOT NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX idZoneL ON dZone
(K, zTransNo)
go
CREATE INDEX i042815 ON dZone
(dSRRepK, K)
go

CREATE TABLE rActCat
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rCategory smallint NULL,
  rCodedName varchar(240) NULL,
  rComment int NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rSequence smallint NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irActCatL ON rActCat
(K, zTransNo)
go
CREATE INDEX i024309 ON rActCat
(rSRRepK, K)
go

CREATE TABLE rAction
(
  K int NOT NULL,
  rActCatK int NULL,
  rAlias varchar(240) NULL,
  rCodedName varchar(240) NULL,
  rComment int NULL,
  rDefinit int NULL,
  rFrequency float NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rNameShown char(1) NULL,
  rPeriod varchar(240) NULL,
  rPostCond int NULL,
  rPreCond int NULL,
  rProcK int NULL,
  rSequence smallint NULL,
  rSRRepK int NULL,
  rSupActK int NULL,
  rSuperTs char(19) NULL,
  rTableK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irActionL ON rAction
(K, zTransNo)
go
CREATE INDEX i020018 ON rAction
(rSupActK, K)
go
CREATE INDEX i020040 ON rAction
(rActCatK, K)
go
CREATE INDEX i020052 ON rAction
(rProcK, K)
go
CREATE INDEX i020020 ON rAction
(rSRRepK, K)
go
CREATE INDEX i020019 ON rAction
(rTableK, K)
go

CREATE TABLE rAttrSet
(
  K int NOT NULL,
  rAlignment smallint NULL,
  rAttrSetK int NULL,
  rBlobType smallint NULL,
  rComment int NULL,
  rCtrlClass varchar(240) NULL,
  rCurrency char(1) NULL,
  rDispFmt varchar(240) NULL,
  rDispLabel varchar(240) NULL,
  rDispVals varchar(240) NULL,
  rDispWidth smallint NULL,
  rEditFmt varchar(240) NULL,
  rEditMask varchar(240) NULL,
  rFldClass varchar(240) NULL,
  rKey char(19) NULL,
  rMaxValue float NULL,
  rMinValue float NULL,
  rName varchar(240) NULL,
  rPrecision smallint NULL,
  rReadOnly char(1) NULL,
  rRequired char(1) NULL,
  rSRRepK int NULL,
  rTranslit char(1) NULL,
  rVisible char(1) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irAttrSetL ON rAttrSet
(K, zTransNo)
go
CREATE INDEX i029725 ON rAttrSet
(rAttrSetK, K)
go
CREATE INDEX i029722 ON rAttrSet
(rSRRepK, K)
go

CREATE TABLE rBlkCfg
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rCodedName varchar(240) NULL,
  rComment int NULL,
  rFreePage smallint NULL,
  rInitrans smallint NULL,
  rKey char(19) NULL,
  rMaxtrans smallint NULL,
  rName varchar(240) NULL,
  rPctFree smallint NULL,
  rPctUsed smallint NULL,
  rSRRepK int NULL,
  rSupBlkCfK int NULL,
  rSuperTs char(19) NULL,
  rUniform char(1) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irBlkCfgL ON rBlkCfg
(K, zTransNo)
go
CREATE INDEX i026222 ON rBlkCfg
(rSupBlkCfK, K)
go
CREATE INDEX i026218 ON rBlkCfg
(rSRRepK, K)
go

CREATE TABLE rChoice
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rCodedName varchar(240) NULL,
  rCombinK int NULL,
  rComment int NULL,
  rGenCol char(1) NULL,
  rKey char(19) NULL,
  rMaxConn varchar(240) NULL,
  rMinConn varchar(240) NULL,
  rName varchar(240) NULL,
  rNameCalc char(1) NULL,
  rSpecializ char(1) NULL,
  rSRRepK int NULL,
  rSupChoiK int NULL,
  rSuperTs char(19) NULL,
  rTableK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irChoiceL ON rChoice
(K, zTransNo)
go
CREATE INDEX i020218 ON rChoice
(rSupChoiK, K)
go
CREATE INDEX i020222 ON rChoice
(rSRRepK, K)
go
CREATE INDEX i020221 ON rChoice
(rTableK, K)
go

CREATE TABLE rChoiceG
(
  K int NOT NULL,
  rChoiceK int NULL,
  rChoiLnGK int NULL,
  rGraphicK int NULL,
  rKey char(19) NULL,
  rLabelGK int NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irChoiceGL ON rChoiceG
(K, zTransNo)
go
CREATE INDEX i021808 ON rChoiceG
(rChoiceK, K)
go
CREATE INDEX i021813 ON rChoiceG
(rSRRepK, K)
go

CREATE TABLE rChoiLnG
(
  K int NOT NULL,
  rCategory smallint NULL,
  rChoiceGK int NULL,
  rConnvGK int NULL,
  rGraphicK int NULL,
  rKey char(19) NULL,
  rPoints varbinary(240) NULL,
  rSRRepK int NULL,
  rTableGK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irChoiLnGL ON rChoiLnG
(K, zTransNo)
go
CREATE INDEX i023702 ON rChoiLnG
(rSRRepK, K)
go
CREATE INDEX i023706 ON rChoiLnG
(rTableGK, K)
go

CREATE TABLE rColAct
(
  K int NOT NULL,
  rActionK int NULL,
  rColumnK int NULL,
  rComment int NULL,
  rKey char(19) NULL,
  rPostCond int NULL,
  rPreCond int NULL,
  rSpecif int NULL,
  rSRRepK int NULL,
  rSymbol varchar(240) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irColActL ON rColAct
(K, zTransNo)
go
CREATE INDEX i024407 ON rColAct
(rActionK, K)
go
CREATE INDEX i024409 ON rColAct
(rColumnK, K)
go
CREATE INDEX i024411 ON rColAct
(rSRRepK, K)
go

CREATE TABLE rColumn
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rAliasCalc char(1) NULL,
  rAllocate varchar(240) NULL,
  rAttrSetK int NULL,
  rCaseSens char(1) NULL,
  rCategory smallint NULL,
  rCcsid varchar(240) NULL,
  rCNameCalc char(1) NULL,
  rCodedName varchar(240) NULL,
  rCombinK int NULL,
  rComItemK int NULL,
  rComment int NULL,
  rCommId varchar(240) NULL,
  rCreatDate datetime NULL,
  rDb2SubTyp smallint NULL,
  rDefaultK int NULL,
  rDefVal varchar(240) NULL,
  rDerivCopy char(1) NULL,
  rDerivFn char(1) NULL,
  rDerivRule int NULL,
  rDomainK int NULL,
  rIBIColK int NULL,
  rIdentity char(1) NULL,
  rInserSpec varchar(240) NULL,
  rKey char(19) NULL,
  rLabel varchar(240) NULL,
  rLabHead varchar(240) NULL,
  rLength smallint NULL,
  rModifDate datetime NULL,
  rName varchar(240) NULL,
  rNameCalc char(1) NULL,
  rNameShown char(1) NULL,
  rNbDecimal smallint NULL,
  rNestedTab char(1) NULL,
  rNullPoss char(1) NULL,
  rObjName varchar(240) NULL,
  rPicture varchar(240) NULL,
  rProcK int NULL,
  rQuerySpec varchar(240) NULL,
  rRef char(1) NULL,
  rRowID char(1) NULL,
  rRuleK int NULL,
  rScope char(1) NULL,
  rSDColnK int NULL,
  rSequence smallint NULL,
  rSequPart smallint NULL,
  rSRRepK int NULL,
  rStorName varchar(240) NULL,
  rSupColK int NULL,
  rSuperTs char(19) NULL,
  rSvAliCalc char(1) NULL,
  rSvwAlias varchar(240) NULL,
  rSvwColK int NULL,
  rSysName varchar(240) NULL,
  rTableK int NULL,
  rTabPartK int NULL,
  rTemporary char(1) NULL,
  rUpdatSpec varchar(240) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irColumnL ON rColumn
(K, zTransNo)
go
CREATE INDEX i020478 ON rColumn
(rAttrSetK, K)
go
CREATE INDEX i020432 ON rColumn
(rSupColK, K)
go
CREATE INDEX i131545 ON rColumn
(rDefaultK, K)
go
CREATE INDEX i020426 ON rColumn
(rDomainK, K)
go
CREATE INDEX i020434 ON rColumn
(rComItemK, K)
go
CREATE INDEX i020458 ON rColumn
(rProcK, K)
go
CREATE INDEX i020433 ON rColumn
(rSRRepK, K)
go
CREATE INDEX i131569 ON rColumn
(rRuleK, K)
go
CREATE INDEX i131726 ON rColumn
(rSDColnK, K)
go
CREATE INDEX i131799 ON rColumn
(rTabPartK, K)
go
CREATE INDEX i020427 ON rColumn
(rTableK, K)
go

CREATE TABLE rColVal
(
  K int NOT NULL,
  rColumnK int NULL,
  rDescript varchar(240) NULL,
  rKey char(19) NULL,
  rSequence smallint NULL,
  rSRRepK int NULL,
  rSupValue varchar(240) NULL,
  rValue varchar(240) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irColValL ON rColVal
(K, zTransNo)
go
CREATE INDEX i029506 ON rColVal
(rColumnK, K)
go
CREATE INDEX i029511 ON rColVal
(rSRRepK, K)
go

CREATE TABLE rCombCol
(
  K int NOT NULL,
  rAscending char(1) NULL,
  rColumnK int NULL,
  rCombColK int NULL,
  rCombinK int NULL,
  rCommInfo varchar(240) NULL,
  rDerivDirK int NULL,
  rDirectK int NULL,
  rKey char(19) NULL,
  rLookUpDir smallint NULL,
  rRedirColK int NULL,
  rSequence smallint NULL,
  rSRRepK int NULL,
  rUseInPart char(1) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irCombColL ON rCombCol
(K, zTransNo)
go
CREATE INDEX i020616 ON rCombCol
(rColumnK, K)
go
CREATE INDEX i020641 ON rCombCol
(rRedirColK, K)
go
CREATE INDEX i020627 ON rCombCol
(rCombColK, K)
go
CREATE INDEX i020617 ON rCombCol
(rCombinK, K)
go
CREATE INDEX i020638 ON rCombCol
(rDerivDirK, K)
go
CREATE INDEX i020630 ON rCombCol
(rSRRepK, K)
go

CREATE TABLE rCombDir
(
  K int NOT NULL,
  rCombinK int NULL,
  rDirectK int NULL,
  rKey char(19) NULL,
  rSequence smallint NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irCombDirL ON rCombDir
(K, zTransNo)
go
CREATE INDEX i020710 ON rCombDir
(rCombinK, K)
go
CREATE INDEX i020712 ON rCombDir
(rDirectK, K)
go
CREATE INDEX i020717 ON rCombDir
(rSRRepK, K)
go

CREATE TABLE rCombin
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rCategory smallint NULL,
  rChoiceK int NULL,
  rCodedName varchar(240) NULL,
  rCombinK int NULL,
  rComment int NULL,
  rCommId varchar(240) NULL,
  rDeferable char(1) NULL,
  rDerivColK int NULL,
  rDirectK int NULL,
  rIndexK int NULL,
  rIsDefered char(1) NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rNameCalc char(1) NULL,
  rNumber smallint NULL,
  rSRRepK int NULL,
  rSupCombK int NULL,
  rSuperTs char(19) NULL,
  rTableK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irCombinL ON rCombin
(K, zTransNo)
go
CREATE INDEX i020535 ON rCombin
(rCombinK, K)
go
CREATE INDEX i020536 ON rCombin
(rSupCombK, K)
go
CREATE INDEX i020537 ON rCombin
(rDirectK, K)
go
CREATE INDEX i020538 ON rCombin
(rSRRepK, K)
go
CREATE INDEX i020525 ON rCombin
(rTableK, K)
go

CREATE TABLE rCompTbl
(
  K int NOT NULL,
  rComment int NULL,
  rComponK int NULL,
  rCorrCatK int NULL,
  rCreatDate datetime NULL,
  rDstTableK int NULL,
  rKey char(19) NULL,
  rModifDate datetime NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irCompTblL ON rCompTbl
(K, zTransNo)
go
CREATE INDEX i023605 ON rCompTbl
(rCorrCatK, K)
go
CREATE INDEX i023607 ON rCompTbl
(rComponK, K)
go
CREATE INDEX i023609 ON rCompTbl
(rSRRepK, K)
go
CREATE INDEX i023611 ON rCompTbl
(rDstTableK, K)
go

CREATE TABLE rConcAcc
(
  K int NOT NULL,
  rArgument int NULL,
  rCommand smallint NULL,
  rKey char(19) NULL,
  rSequence smallint NULL,
  rSortArg int NULL,
  rSRRepK int NULL,
  rZoneK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irConcAccL ON rConcAcc
(K, zTransNo)
go
CREATE INDEX i024606 ON rConcAcc
(rSRRepK, K)
go
CREATE INDEX i024608 ON rConcAcc
(rZoneK, K)
go

CREATE TABLE rConnect
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rCodedName varchar(240) NULL,
  rComment int NULL,
  rIsByTrig char(1) NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rNameCalc char(1) NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irConnectL ON rConnect
(K, zTransNo)
go
CREATE INDEX i020825 ON rConnect
(rSRRepK, K)
go

CREATE TABLE rConnG
(
  K int NOT NULL,
  rCategory smallint NULL,
  rChoi1Conc int NULL,
  rChoi2Conc int NULL,
  rChoice1K int NULL,
  rChoice2K int NULL,
  rConnectK int NULL,
  rGraphicK int NULL,
  rKey char(19) NULL,
  rPoints varbinary(240) NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irConnGL ON rConnG
(K, zTransNo)
go
CREATE INDEX i022008 ON rConnG
(rConnectK, K)
go
CREATE INDEX i022012 ON rConnG
(rSRRepK, K)
go
CREATE INDEX i022019 ON rConnG
(rChoice1K, K)
go
CREATE INDEX i022016 ON rConnG
(rChoice2K, K)
go

CREATE TABLE rConnvG
(
  K int NOT NULL,
  rCategory smallint NULL,
  rChoiceGK int NULL,
  rChoiceK int NULL,
  rChoiConc int NULL,
  rChoiGConc int NULL,
  rGraphicK int NULL,
  rKey char(19) NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irConnvGL ON rConnvG
(K, zTransNo)
go
CREATE INDEX i022806 ON rConnvG
(rChoiceK, K)
go
CREATE INDEX i022808 ON rConnvG
(rSRRepK, K)
go
CREATE INDEX i022812 ON rConnvG
(rChoiceGK, K)
go

CREATE TABLE rConstr
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rCategory varchar(240) NULL,
  rCodedName varchar(240) NULL,
  rColumnK int NULL,
  rComment int NULL,
  rDeferable char(1) NULL,
  rDefinit int NULL,
  rErrMsgK int NULL,
  rIsDefered char(1) NULL,
  rKey char(19) NULL,
  rLocal char(1) NULL,
  rName varchar(240) NULL,
  rReplicat char(1) NULL,
  rSequence smallint NULL,
  rSRRepK int NULL,
  rSupConstK int NULL,
  rSuperTs char(19) NULL,
  rTableK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irConstrL ON rConstr
(K, zTransNo)
go
CREATE INDEX i020151 ON rConstr
(rColumnK, K)
go
CREATE INDEX i020117 ON rConstr
(rSupConstK, K)
go
CREATE INDEX i131558 ON rConstr
(rErrMsgK, K)
go
CREATE INDEX i020119 ON rConstr
(rSRRepK, K)
go
CREATE INDEX i020118 ON rConstr
(rTableK, K)
go

CREATE TABLE rContent
(
  K int NOT NULL,
  rBlue smallint NULL,
  rComment int NULL,
  rDefName varchar(240) NULL,
  rDiagramK int NULL,
  rGreen smallint NULL,
  rHeight int NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rRed smallint NULL,
  rShaded smallint NULL,
  rShape smallint NULL,
  rSRRepK int NULL,
  rWidth int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irContentL ON rContent
(K, zTransNo)
go
CREATE INDEX i024714 ON rContent
(rSRRepK, K)
go

CREATE TABLE rDatabas
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rAlteredTS varchar(240) NULL,
  rArchivLog char(1) NULL,
  rAsp varchar(240) NULL,
  rBufPool varchar(240) NULL,
  rCharSet varchar(240) NULL,
  rCodedName varchar(240) NULL,
  rComment int NULL,
  rCreatedTS varchar(240) NULL,
  rDataDict char(1) NULL,
  rEncoding smallint NULL,
  rForLoad char(1) NULL,
  rGroupMem varchar(240) NULL,
  rHWaterM int NULL,
  rKey char(19) NULL,
  rLogPath varchar(240) NULL,
  rLWaterM int NULL,
  rMaxDatFil smallint NULL,
  rMaxInstnc smallint NULL,
  rMaxLgMemb smallint NULL,
  rMaxLogFil smallint NULL,
  rMaxLogHst smallint NULL,
  rModAnsi char(1) NULL,
  rName varchar(240) NULL,
  rOlLog smallint NULL,
  rPromPct smallint NULL,
  rRoshare smallint NULL,
  rSRRepK int NULL,
  rStogrpK int NULL,
  rTabspcK int NULL,
  rType char(1) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irDatabasL ON rDatabas
(K, zTransNo)
go
CREATE INDEX i026936 ON rDatabas
(rSRRepK, K)
go

CREATE TABLE rDescAcc
(
  K int NOT NULL,
  rArgument int NULL,
  rCommand smallint NULL,
  rKey char(19) NULL,
  rSequence smallint NULL,
  rSRRepK int NULL,
  rSubZoneK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irDescAccL ON rDescAcc
(K, zTransNo)
go
CREATE INDEX i023805 ON rDescAcc
(rSRRepK, K)
go
CREATE INDEX i023807 ON rDescAcc
(rSubZoneK, K)
go

CREATE TABLE rDiagram
(
  K int NOT NULL,
  rActShown char(1) NULL,
  rAncCopied char(1) NULL,
  rAncNoUsed char(1) NULL,
  rAutoAddGR char(1) NULL,
  rAutoFit char(1) NULL,
  rBgndColrB smallint NULL,
  rBgndColrG smallint NULL,
  rBgndColrR smallint NULL,
  rCharShown smallint NULL,
  rChCvShn char(1) NULL,
  rChDirSym smallint NULL,
  rChLbShn char(1) NULL,
  rChoiCvShn char(1) NULL,
  rChoiLbShn char(1) NULL,
  rChSymPos smallint NULL,
  rColDescX smallint NULL,
  rColorPrt char(1) NULL,
  rColShown char(1) NULL,
  rConnDivd char(1) NULL,
  rConnLbShn char(1) NULL,
  rConnvPos smallint NULL,
  rContentK int NULL,
  rDefShown char(1) NULL,
  rDepDirSym smallint NULL,
  rDerivShn char(1) NULL,
  rDirNoShn char(1) NULL,
  rDomShown char(1) NULL,
  rForKShown char(1) NULL,
  rGridActiv char(1) NULL,
  rGridHeigh int NULL,
  rGridShown char(1) NULL,
  rGridWidth int NULL,
  rHorNbPage int NULL,
  rIdenShown char(1) NULL,
  rIdent int NULL,
  rKey char(19) NULL,
  rLastGraph int NULL,
  rLenShown char(1) NULL,
  rLvlAncShn char(1) NULL,
  rLvlNamShn char(1) NULL,
  rLvlNoShn char(1) NULL,
  rMax1Sym smallint NULL,
  rMaxCvShn char(1) NULL,
  rMaxNSym smallint NULL,
  rMaxSymShn char(1) NULL,
  rMin0Sym smallint NULL,
  rMin1Sym smallint NULL,
  rMinCvShn char(1) NULL,
  rMinNSym smallint NULL,
  rMinSymShn char(1) NULL,
  rName varchar(240) NULL,
  rNeColShn smallint NULL,
  rNeiCopied char(1) NULL,
  rNulShown char(1) NULL,
  rOrient smallint NULL,
  rPageHeigh int NULL,
  rPageNoPos smallint NULL,
  rPageSetup int NULL,
  rPageShown char(1) NULL,
  rPageWidth int NULL,
  rParCvShn char(1) NULL,
  rParLbShn char(1) NULL,
  rPfxAlign char(1) NULL,
  rPicShown char(1) NULL,
  rPrintFit char(1) NULL,
  rReposCol char(1) NULL,
  rReposLabl char(1) NULL,
  rSpecCvShn char(1) NULL,
  rSpecLbShn char(1) NULL,
  rSpecShown char(1) NULL,
  rSRRepK int NULL,
  rSymCvPos smallint NULL,
  rTabDescX smallint NULL,
  rTypShown char(1) NULL,
  rUserShown char(1) NULL,
  rVerNbPage int NULL,
  rViewPoint smallint NULL,
  rXCatShown char(1) NULL,
  rXShown char(1) NULL,
  rXUniShown char(1) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irDiagramL ON rDiagram
(K, zTransNo)
go
CREATE INDEX i021045 ON rDiagram
(rSRRepK, K)
go

CREATE TABLE rDim
(
  K int NOT NULL,
  rColumnK int NULL,
  rComment int NULL,
  rDimPerK int NULL,
  rKey char(19) NULL,
  rMaxNbOcc smallint NULL,
  rMDIndexK int NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irDimL ON rDim
(K, zTransNo)
go
CREATE INDEX i039604 ON rDim
(rColumnK, K)
go
CREATE INDEX i039606 ON rDim
(rDimPerK, K)
go
CREATE INDEX i039602 ON rDim
(rMDIndexK, K)
go
CREATE INDEX i039609 ON rDim
(rSRRepK, K)
go

CREATE TABLE rDirect
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rAvgConn float NULL,
  rAvgGrow float NULL,
  rChild char(1) NULL,
  rChoiceK int NULL,
  rCodedName varchar(240) NULL,
  rCombColK int NULL,
  rComment int NULL,
  rCommId varchar(240) NULL,
  rConnectK int NULL,
  rCreatDate datetime NULL,
  rDeletRule varchar(240) NULL,
  rDerivAll char(1) NULL,
  rDerivTmp char(1) NULL,
  rDstTableK int NULL,
  rExtremity smallint NULL,
  rIBIDirK int NULL,
  rInserRule varchar(240) NULL,
  rIsNonKey char(1) NULL,
  rKey char(19) NULL,
  rMaxConn varchar(240) NULL,
  rMaxGrow int NULL,
  rMinConn varchar(240) NULL,
  rModalConn int NULL,
  rModalGrow int NULL,
  rModifDate datetime NULL,
  rName varchar(240) NULL,
  rNameCalc char(1) NULL,
  rNameShown char(1) NULL,
  rNumber smallint NULL,
  rOppDirK int NULL,
  rOppDirK2 int NULL,
  rPercent smallint NULL,
  rPeriod varchar(240) NULL,
  rSelecRule varchar(240) NULL,
  rSRRepK int NULL,
  rSupDirK int NULL,
  rSuperTs char(19) NULL,
  rTableK int NULL,
  rTemporary char(1) NULL,
  rUpdatRule varchar(240) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irDirectL ON rDirect
(K, zTransNo)
go
CREATE INDEX i021174 ON rDirect
(rChoiceK, K)
go
CREATE INDEX i021139 ON rDirect
(rConnectK, K)
go
CREATE INDEX i021159 ON rDirect
(rSupDirK, K)
go
CREATE INDEX i021165 ON rDirect
(rSRRepK, K)
go
CREATE INDEX i021143 ON rDirect
(rTableK, K)
go
CREATE INDEX i021144 ON rDirect
(rDstTableK, K)
go

CREATE TABLE rErrMsg
(
  K int NOT NULL,
  rComment int NULL,
  rKey char(19) NULL,
  rNumber varchar(240) NULL,
  rReplace char(1) NULL,
  rReplicat char(1) NULL,
  rSeverity smallint NULL,
  rSRRepK int NULL,
  rSupErrMK int NULL,
  rSuperTs char(19) NULL,
  rText int NULL,
  rWithLog char(1) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irErrMsgL ON rErrMsg
(K, zTransNo)
go
CREATE INDEX i131645 ON rErrMsg
(rSupErrMK, K)
go
CREATE INDEX i131566 ON rErrMsg
(rSRRepK, K)
go

CREATE TABLE rFigure
(
  K int NOT NULL,
  rCategory smallint NULL,
  rFigureGK int NULL,
  rIdent int NULL,
  rKey char(19) NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irFigureL ON rFigure
(K, zTransNo)
go
CREATE INDEX i023206 ON rFigure
(rSRRepK, K)
go

CREATE TABLE rFigureG
(
  K int NOT NULL,
  rFigureK int NULL,
  rGraphicK int NULL,
  rKey char(19) NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irFigureGL ON rFigureG
(K, zTransNo)
go
CREATE INDEX i023003 ON rFigureG
(rSRRepK, K)
go

CREATE TABLE rFile
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rCateg smallint NULL,
  rCodedName varchar(240) NULL,
  rComment int NULL,
  rDataDBK int NULL,
  rDelFile char(1) NULL,
  rDeviceTyp varchar(240) NULL,
  rGrowth int NULL,
  rGrowthU smallint NULL,
  rGrowthUn char(1) NULL,
  rKey char(19) NULL,
  rLogDBK int NULL,
  rMaxSize int NULL,
  rMaxSizeU smallint NULL,
  rMirName varchar(240) NULL,
  rNamDisc varchar(240) NULL,
  rName varchar(240) NULL,
  rPrimFile char(1) NULL,
  rReuse char(1) NULL,
  rSize int NULL,
  rSizeUnit smallint NULL,
  rSizeUSrv smallint NULL,
  rSRRepK int NULL,
  rStogrpK int NULL,
  rSuperTs char(19) NULL,
  rSupFilK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irFileL ON rFile
(K, zTransNo)
go
CREATE INDEX i026614 ON rFile
(rDataDBK, K)
go
CREATE INDEX i026628 ON rFile
(rLogDBK, K)
go
CREATE INDEX i026623 ON rFile
(rSupFilK, K)
go
CREATE INDEX i026618 ON rFile
(rSRRepK, K)
go
CREATE INDEX i131942 ON rFile
(rStogrpK, K)
go

CREATE TABLE rFilSgrp
(
  K int NOT NULL,
  rFileK int NULL,
  rKey char(19) NULL,
  rSRRepK int NULL,
  rStogrpK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irFilSgrpL ON rFilSgrp
(K, zTransNo)
go
CREATE INDEX i029802 ON rFilSgrp
(rFileK, K)
go
CREATE INDEX i029806 ON rFilSgrp
(rSRRepK, K)
go
CREATE INDEX i029804 ON rFilSgrp
(rStogrpK, K)
go

CREATE TABLE rFilTbsp
(
  K int NOT NULL,
  rFileK int NULL,
  rKey char(19) NULL,
  rSRRepK int NULL,
  rTabspcK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irFilTbspL ON rFilTbsp
(K, zTransNo)
go
CREATE INDEX i027204 ON rFilTbsp
(rFileK, K)
go
CREATE INDEX i027206 ON rFilTbsp
(rSRRepK, K)
go
CREATE INDEX i027202 ON rFilTbsp
(rTabspcK, K)
go

CREATE TABLE rFont
(
  K int NOT NULL,
  rDesCatPfx varchar(240) NULL,
  rDesCatSty smallint NULL,
  rDiagramK int NULL,
  rIdent smallint NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rPfxDisp char(1) NULL,
  rSize smallint NULL,
  rSRRepK int NULL,
  rStyle smallint NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irFontL ON rFont
(K, zTransNo)
go
CREATE INDEX i021410 ON rFont
(rDiagramK, K)
go
CREATE INDEX i021411 ON rFont
(rSRRepK, K)
go

CREATE TABLE rGraphic
(
  K int NOT NULL,
  rActColr char(1) NULL,
  rBgBlue smallint NULL,
  rBgColr char(1) NULL,
  rBgGreen smallint NULL,
  rBgRed smallint NULL,
  rBlue smallint NULL,
  rBottom int NULL,
  rDiagramK int NULL,
  rDotted char(1) NULL,
  rGreen smallint NULL,
  rHidden char(1) NULL,
  rIdent int NULL,
  rKey char(19) NULL,
  rLeft int NULL,
  rOutlined char(1) NULL,
  rRed smallint NULL,
  rRight int NULL,
  rSpecConc int NULL,
  rSpecK int NULL,
  rSRRepK int NULL,
  rTextBlue smallint NULL,
  rTextColr char(1) NULL,
  rTextGreen smallint NULL,
  rTextRed smallint NULL,
  rTop int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irGraphicL ON rGraphic
(K, zTransNo)
go
CREATE INDEX i021718 ON rGraphic
(rDiagramK, K)
go
CREATE INDEX i021720 ON rGraphic
(rSRRepK, K)
go

CREATE TABLE rIBICol
(
  K int NOT NULL,
  rAccMeth smallint NULL,
  rActual varchar(240) NULL,
  rColumnK int NULL,
  rDefCent smallint NULL,
  rDescript varchar(240) NULL,
  rGroup char(1) NULL,
  rHelpMsg varchar(240) NULL,
  rIBIColFK int NULL,
  rIBIColGK int NULL,
  rIBIColWK int NULL,
  rIBILocK int NULL,
  rIBISecK int NULL,
  rIndexType smallint NULL,
  rKey char(19) NULL,
  rMissMeth smallint NULL,
  rRangeFrom varchar(240) NULL,
  rRangeTo varchar(240) NULL,
  rSRRepK int NULL,
  rTitle varchar(240) NULL,
  rYrThresh smallint NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irIBIColL ON rIBICol
(K, zTransNo)
go
CREATE INDEX i131547 ON rIBICol
(rIBIColFK, K)
go
CREATE INDEX i131548 ON rIBICol
(rIBIColGK, K)
go
CREATE INDEX i131549 ON rIBICol
(rIBIColWK, K)
go
CREATE INDEX i131552 ON rIBICol
(rIBILocK, K)
go
CREATE INDEX i131555 ON rIBICol
(rIBISecK, K)
go
CREATE INDEX i131559 ON rIBICol
(rSRRepK, K)
go

CREATE TABLE rIBIDir
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rDirectK int NULL,
  rKey char(19) NULL,
  rOnly char(1) NULL,
  rRelType smallint NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irIBIDirL ON rIBIDir
(K, zTransNo)
go
CREATE INDEX i131563 ON rIBIDir
(rSRRepK, K)
go

CREATE TABLE rIBILink
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rIBIDirK int NULL,
  rIBITabK int NULL,
  rKey char(19) NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irIBILinkL ON rIBILink
(K, zTransNo)
go
CREATE INDEX i039906 ON rIBILink
(rIBIDirK, K)
go
CREATE INDEX i039902 ON rIBILink
(rIBITabK, K)
go
CREATE INDEX i039904 ON rIBILink
(rSRRepK, K)
go

CREATE TABLE rIBILoc
(
  K int NOT NULL,
  rKey char(19) NULL,
  rMDIndexK int NULL,
  rName varchar(240) NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irIBILocL ON rIBILoc
(K, zTransNo)
go
CREATE INDEX i131561 ON rIBILoc
(rSRRepK, K)
go

CREATE TABLE rIBIMFD
(
  K int NOT NULL,
  rAccFName varchar(240) NULL,
  rComment int NULL,
  rDefCent smallint NULL,
  rFileType varchar(240) NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rPhysFName varchar(240) NULL,
  rSRRepDefK int NULL,
  rSRRepK int NULL,
  rYrThresh smallint NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irIBIMFDL ON rIBIMFD
(K, zTransNo)
go
CREATE INDEX i131562 ON rIBIMFD
(rSRRepK, K)
go

CREATE TABLE rIBISec
(
  K int NOT NULL,
  rEncrypt char(1) NULL,
  rIBILocK int NULL,
  rIBITabK int NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irIBISecL ON rIBISec
(K, zTransNo)
go
CREATE INDEX i039803 ON rIBISec
(rIBILocK, K)
go
CREATE INDEX i039806 ON rIBISec
(rIBITabK, K)
go
CREATE INDEX i039808 ON rIBISec
(rSRRepK, K)
go

CREATE TABLE rIBITab
(
  K int NOT NULL,
  rEncrypt char(1) NULL,
  rIBILocK int NULL,
  rIBIMFDK int NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rSortOrder smallint NULL,
  rSRRepK int NULL,
  rTableK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irIBITabL ON rIBITab
(K, zTransNo)
go
CREATE INDEX i131551 ON rIBITab
(rIBILocK, K)
go
CREATE INDEX i131553 ON rIBITab
(rIBIMFDK, K)
go
CREATE INDEX i131560 ON rIBITab
(rSRRepK, K)
go

CREATE TABLE rIndex
(
  K int NOT NULL,
  rAbbr char(1) NULL,
  rAlias varchar(240) NULL,
  rAlteredTS varchar(240) NULL,
  rBitmap char(1) NULL,
  rBlkCfgK int NULL,
  rBufPool varchar(240) NULL,
  rCategory varchar(240) NULL,
  rClose char(1) NULL,
  rCodedName varchar(240) NULL,
  rCombinK int NULL,
  rComment int NULL,
  rCreatedTS varchar(240) NULL,
  rDefDegree char(1) NULL,
  rDefer char(1) NULL,
  rDefInstnc char(1) NULL,
  rDegree smallint NULL,
  rDropExist char(1) NULL,
  rDSetPass varchar(240) NULL,
  rErase char(1) NULL,
  rFileGrpD char(1) NULL,
  rFillFact smallint NULL,
  rFreeList int NULL,
  rFreePage smallint NULL,
  rGbpcache smallint NULL,
  rGlobal char(1) NULL,
  rIgnorDupK char(1) NULL,
  rInitExtnt int NULL,
  rInitrans smallint NULL,
  rInitUnit smallint NULL,
  rInstances smallint NULL,
  rKey char(19) NULL,
  rKeyComp char(1) NULL,
  rLeafFill smallint NULL,
  rMaxExtnt int NULL,
  rMaxtrans smallint NULL,
  rMinExtnt int NULL,
  rName varchar(240) NULL,
  rNextExtnt int NULL,
  rNextUnit smallint NULL,
  rNoLeafFil smallint NULL,
  rNoStat char(1) NULL,
  rOrigUserK int NULL,
  rPadded char(1) NULL,
  rParallel char(1) NULL,
  rPctFree smallint NULL,
  rPctIncrs smallint NULL,
  rPersist char(1) NULL,
  rPiecesize smallint NULL,
  rRowDupOpt smallint NULL,
  rSortdata char(1) NULL,
  rSRRepK int NULL,
  rStoCfgK int NULL,
  rStogrpK int NULL,
  rStrucType smallint NULL,
  rSubPage smallint NULL,
  rType smallint NULL,
  rUnique char(1) NULL,
  rVcat varchar(240) NULL,
  rWhNotNull char(1) NULL,
  rWord char(1) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irIndexL ON rIndex
(K, zTransNo)
go
CREATE INDEX i021562 ON rIndex
(rBlkCfgK, K)
go
CREATE INDEX i021516 ON rIndex
(rSRRepK, K)
go
CREATE INDEX i021564 ON rIndex
(rStogrpK, K)
go
CREATE INDEX i021537 ON rIndex
(rStoCfgK, K)
go
CREATE INDEX i131746 ON rIndex
(rOrigUserK, K)
go

CREATE TABLE rIndTbsp
(
  K int NOT NULL,
  rIndexK int NULL,
  rKey char(19) NULL,
  rRglFrgm varchar(240) NULL,
  rSRRepK int NULL,
  rTabspcK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irIndTbspL ON rIndTbsp
(K, zTransNo)
go
CREATE INDEX i027104 ON rIndTbsp
(rIndexK, K)
go
CREATE INDEX i027106 ON rIndTbsp
(rSRRepK, K)
go
CREATE INDEX i027102 ON rIndTbsp
(rTabspcK, K)
go

CREATE TABLE rLabelG
(
  K int NOT NULL,
  rCategory smallint NULL,
  rChoiceGK int NULL,
  rChoiceK int NULL,
  rChoiConc int NULL,
  rChoiGConc int NULL,
  rGraphicK int NULL,
  rKey char(19) NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irLabelGL ON rLabelG
(K, zTransNo)
go
CREATE INDEX i021906 ON rLabelG
(rChoiceK, K)
go
CREATE INDEX i021908 ON rLabelG
(rSRRepK, K)
go
CREATE INDEX i021912 ON rLabelG
(rChoiceGK, K)
go

CREATE TABLE rLine
(
  K int NOT NULL,
  rCategory smallint NULL,
  rIdent int NULL,
  rKey char(19) NULL,
  rLineGK int NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irLineL ON rLine
(K, zTransNo)
go
CREATE INDEX i023307 ON rLine
(rSRRepK, K)
go

CREATE TABLE rLineG
(
  K int NOT NULL,
  rGraphicK int NULL,
  rKey char(19) NULL,
  rLineK int NULL,
  rPoints varbinary(240) NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irLineGL ON rLineG
(K, zTransNo)
go
CREATE INDEX i023103 ON rLineG
(rSRRepK, K)
go

CREATE TABLE rMDIndex
(
  K int NOT NULL,
  rComment int NULL,
  rIBILocK int NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rSRRepK int NULL,
  rTableK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irMDIndexL ON rMDIndex
(K, zTransNo)
go
CREATE INDEX i039707 ON rMDIndex
(rSRRepK, K)
go
CREATE INDEX i039702 ON rMDIndex
(rTableK, K)
go

CREATE TABLE rPart
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rBlkCfgK int NULL,
  rBufPool varchar(240) NULL,
  rCategory smallint NULL,
  rCodedName varchar(240) NULL,
  rComment int NULL,
  rCompress char(1) NULL,
  rErase char(1) NULL,
  rFreeList int NULL,
  rFreeLsGrp int NULL,
  rFreePage smallint NULL,
  rGbpcache smallint NULL,
  rIndexK int NULL,
  rInitExtnt int NULL,
  rInitrans smallint NULL,
  rInitUnit smallint NULL,
  rKey char(19) NULL,
  rMaxExtnt int NULL,
  rMaxtrans smallint NULL,
  rMinExtnt int NULL,
  rName varchar(240) NULL,
  rNextExtnt int NULL,
  rNextUnit smallint NULL,
  rOptimal int NULL,
  rPartNum smallint NULL,
  rPctFree smallint NULL,
  rPctIncrs smallint NULL,
  rPctUsed smallint NULL,
  rSequInd smallint NULL,
  rSequTab smallint NULL,
  rSRRepK int NULL,
  rStoCfgK int NULL,
  rStogrpK int NULL,
  rSuperTs char(19) NULL,
  rSupPartK int NULL,
  rTableK int NULL,
  rTablespcK int NULL,
  rTabspcStK int NULL,
  rValue varchar(240) NULL,
  rVcat varchar(240) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irPartL ON rPart
(K, zTransNo)
go
CREATE INDEX i026822 ON rPart
(rBlkCfgK, K)
go
CREATE INDEX i026818 ON rPart
(rIndexK, K)
go
CREATE INDEX i026833 ON rPart
(rSupPartK, K)
go
CREATE INDEX i026824 ON rPart
(rSRRepK, K)
go
CREATE INDEX i026811 ON rPart
(rStogrpK, K)
go
CREATE INDEX i026820 ON rPart
(rStoCfgK, K)
go
CREATE INDEX i131796 ON rPart
(rTableK, K)
go
CREATE INDEX i026814 ON rPart
(rTablespcK, K)
go
CREATE INDEX i131814 ON rPart
(rTabspcStK, K)
go

CREATE TABLE rPictG
(
  K int NOT NULL,
  rBottom int NULL,
  rGraphicK int NULL,
  rKey char(19) NULL,
  rLeft int NULL,
  rPicture int NULL,
  rPictureK int NULL,
  rRight int NULL,
  rSRRepK int NULL,
  rTop int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irPictGL ON rPictG
(K, zTransNo)
go
CREATE INDEX i022108 ON rPictG
(rSRRepK, K)
go

CREATE TABLE rPicture
(
  K int NOT NULL,
  rCategory smallint NULL,
  rIdent int NULL,
  rKey char(19) NULL,
  rPictGK int NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irPictureL ON rPicture
(K, zTransNo)
go
CREATE INDEX i021612 ON rPicture
(rSRRepK, K)
go

CREATE TABLE rProc
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rCateg smallint NULL,
  rCodedName varchar(240) NULL,
  rComment int NULL,
  rConstList varchar(240) NULL,
  rDbaPriv char(1) NULL,
  rDefinit int NULL,
  rDetermini smallint NULL,
  rExtLang smallint NULL,
  rExtName varchar(240) NULL,
  rIsFunct char(1) NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rOrigUserK int NULL,
  rParam int NULL,
  rParmStyle smallint NULL,
  rRecompil char(1) NULL,
  rResSets varchar(240) NULL,
  rSpecName varchar(240) NULL,
  rSqlDatAcc smallint NULL,
  rSRRepK int NULL,
  rSuperTs char(19) NULL,
  rSupProcK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irProcL ON rProc
(K, zTransNo)
go
CREATE INDEX i024832 ON rProc
(rSupProcK, K)
go
CREATE INDEX i024809 ON rProc
(rSRRepK, K)
go
CREATE INDEX i131743 ON rProc
(rOrigUserK, K)
go

CREATE TABLE rRelCol
(
  K int NOT NULL,
  rColumn1K int NULL,
  rColumn2K int NULL,
  rConnectK int NULL,
  rKey char(19) NULL,
  rRelatOper smallint NULL,
  rSequence smallint NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irRelColL ON rRelCol
(K, zTransNo)
go
CREATE INDEX i029408 ON rRelCol
(rColumn1K, K)
go
CREATE INDEX i029406 ON rRelCol
(rColumn2K, K)
go
CREATE INDEX i029404 ON rRelCol
(rConnectK, K)
go
CREATE INDEX i029410 ON rRelCol
(rSRRepK, K)
go

CREATE TABLE rRollSeg
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rCodedName varchar(240) NULL,
  rComment int NULL,
  rInitExtnt int NULL,
  rInitUnit smallint NULL,
  rKey char(19) NULL,
  rMaxExtnt int NULL,
  rMinExtnt int NULL,
  rName varchar(240) NULL,
  rNextExtnt int NULL,
  rNextUnit smallint NULL,
  rOptimal int NULL,
  rOptimUnit smallint NULL,
  rPublic char(1) NULL,
  rSRRepK int NULL,
  rStoCfgK int NULL,
  rSuperTs char(19) NULL,
  rSupRlbSgK int NULL,
  rTabspc int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irRollSegL ON rRollSeg
(K, zTransNo)
go
CREATE INDEX i026322 ON rRollSeg
(rSRRepK, K)
go
CREATE INDEX i026326 ON rRollSeg
(rSupRlbSgK, K)
go
CREATE INDEX i026309 ON rRollSeg
(rStoCfgK, K)
go
CREATE INDEX i026307 ON rRollSeg
(rTabspc, K)
go

CREATE TABLE rSDColn
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rAuthor varchar(240) NULL,
  rComItemK int NULL,
  rComment int NULL,
  rCreatDate datetime NULL,
  rFullName varchar(240) NULL,
  rKey char(19) NULL,
  rMaxSz smallint NULL,
  rModifDate datetime NULL,
  rName varchar(240) NULL,
  rNbDecim smallint NULL,
  rSRRepK int NULL,
  rType smallint NULL,
  rVersion varchar(240) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irSDColnL ON rSDColn
(K, zTransNo)
go
CREATE INDEX i131685 ON rSDColn
(rComItemK, K)
go
CREATE INDEX i131691 ON rSDColn
(rSRRepK, K)
go

CREATE TABLE rSDFld
(
  K int NOT NULL,
  rDescr1 varchar(240) NULL,
  rDescr2 varchar(240) NULL,
  rHelp int NULL,
  rInpMask varchar(240) NULL,
  rKey char(19) NULL,
  rMaxAns smallint NULL,
  rMaxVal int NULL,
  rMinAns smallint NULL,
  rMinVal int NULL,
  rName varchar(240) NULL,
  rNumDec smallint NULL,
  rOutMask varchar(240) NULL,
  rPrompt varchar(240) NULL,
  rSDColnK int NULL,
  rSRRepK int NULL,
  rType smallint NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irSDFldL ON rSDFld
(K, zTransNo)
go
CREATE INDEX i131694 ON rSDFld
(rSRRepK, K)
go
CREATE INDEX i131688 ON rSDFld
(rSDColnK, K)
go

CREATE TABLE rSDFldVl
(
  K int NOT NULL,
  rCode varchar(240) NULL,
  rDescr varchar(240) NULL,
  rKey char(19) NULL,
  rSDFldK int NULL,
  rSequence smallint NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irSDFldVlL ON rSDFldVl
(K, zTransNo)
go
CREATE INDEX i131697 ON rSDFldVl
(rSRRepK, K)
go
CREATE INDEX i131682 ON rSDFldVl
(rSDFldK, K)
go

CREATE TABLE rSeq
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rCache smallint NULL,
  rCodedName varchar(240) NULL,
  rComment int NULL,
  rCycle char(1) NULL,
  rIncrement varchar(240) NULL,
  rKey char(19) NULL,
  rMaxvalue varchar(240) NULL,
  rMinvalue varchar(240) NULL,
  rName varchar(240) NULL,
  rOrder char(1) NULL,
  rOrigUserK int NULL,
  rSRRepK int NULL,
  rStartWith varchar(240) NULL,
  rSuperTs char(19) NULL,
  rSupSeqK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irSeqL ON rSeq
(K, zTransNo)
go
CREATE INDEX i038515 ON rSeq
(rSRRepK, K)
go
CREATE INDEX i038512 ON rSeq
(rSupSeqK, K)
go
CREATE INDEX i131749 ON rSeq
(rOrigUserK, K)
go

CREATE TABLE rSpecSym
(
  K int NOT NULL,
  rComment int NULL,
  rDescript varchar(240) NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rSequence smallint NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irSpecSymL ON rSpecSym
(K, zTransNo)
go
CREATE INDEX i024505 ON rSpecSym
(rSRRepK, K)
go

CREATE TABLE rStamp
(
  K int NOT NULL,
  rIdent int NULL,
  rKey char(19) NULL,
  rSRRepK int NULL,
  rStampGK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irStampL ON rStamp
(K, zTransNo)
go
CREATE INDEX i022706 ON rStamp
(rSRRepK, K)
go

CREATE TABLE rStampG
(
  K int NOT NULL,
  rGraphicK int NULL,
  rKey char(19) NULL,
  rSRRepK int NULL,
  rStampK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irStampGL ON rStampG
(K, zTransNo)
go
CREATE INDEX i022408 ON rStampG
(rSRRepK, K)
go

CREATE TABLE rStoCfg
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rCodedName varchar(240) NULL,
  rComment int NULL,
  rDatComp char(1) NULL,
  rErase char(1) NULL,
  rFillFact smallint NULL,
  rFreeList int NULL,
  rFreeLsGrp int NULL,
  rInitExtnt int NULL,
  rInitUnit smallint NULL,
  rKey char(19) NULL,
  rKeyComp char(1) NULL,
  rLeafFill smallint NULL,
  rLockMode smallint NULL,
  rMaxExtnt int NULL,
  rMinExtnt int NULL,
  rName varchar(240) NULL,
  rNextExtnt int NULL,
  rNextUnit smallint NULL,
  rNoLeafFil smallint NULL,
  rOptimal int NULL,
  rOptimUnit smallint NULL,
  rPathName varchar(240) NULL,
  rPctIncrs smallint NULL,
  rSRRepK int NULL,
  rStrucType smallint NULL,
  rSuperTs char(19) NULL,
  rSupStrCfK int NULL,
  rUniform char(1) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irStoCfgL ON rStoCfg
(K, zTransNo)
go
CREATE INDEX i026531 ON rStoCfg
(rSRRepK, K)
go
CREATE INDEX i026539 ON rStoCfg
(rSupStrCfK, K)
go

CREATE TABLE rStogrp
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rAlteredTS varchar(240) NULL,
  rCatlgName varchar(240) NULL,
  rCodedName varchar(240) NULL,
  rComment int NULL,
  rCreatedTS varchar(240) NULL,
  rDatabasK int NULL,
  rFileGDb int NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rPassword varchar(240) NULL,
  rSRRepK int NULL,
  rSuperTs char(19) NULL,
  rSupStgpK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irStogrpL ON rStogrp
(K, zTransNo)
go
CREATE INDEX i131929 ON rStogrp
(rFileGDb, K)
go
CREATE INDEX i026713 ON rStogrp
(rSRRepK, K)
go
CREATE INDEX i026717 ON rStogrp
(rSupStgpK, K)
go

CREATE TABLE rSubZone
(
  K int NOT NULL,
  rActive char(1) NULL,
  rBlue smallint NULL,
  rCombine char(1) NULL,
  rComment int NULL,
  rDrawLine char(1) NULL,
  rFontName varchar(240) NULL,
  rFontSize smallint NULL,
  rFontStyle smallint NULL,
  rFormat varchar(240) NULL,
  rGreen smallint NULL,
  rJustif smallint NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rRed smallint NULL,
  rRelWeight smallint NULL,
  rSequence smallint NULL,
  rSRRepK int NULL,
  rTextIfNul varchar(240) NULL,
  rTroncate char(1) NULL,
  rZoneK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irSubZoneL ON rSubZone
(K, zTransNo)
go
CREATE INDEX i024120 ON rSubZone
(rSRRepK, K)
go
CREATE INDEX i024123 ON rSubZone
(rZoneK, K)
go

CREATE TABLE rSvwCol
(
  K int NOT NULL,
  rAutoNext char(1) NULL,
  rCase smallint NULL,
  rColumnK int NULL,
  rEntryDef varchar(240) NULL,
  rFieldSize smallint NULL,
  rFormatSvw char(1) NULL,
  rHelpId smallint NULL,
  rIsHidden char(1) NULL,
  rKey char(19) NULL,
  rLabel varchar(240) NULL,
  rLabelCalc char(1) NULL,
  rNoEntry char(1) NULL,
  rPicture varchar(240) NULL,
  rQueryDef varchar(240) NULL,
  rRequired char(1) NULL,
  rSRRepK int NULL,
  rTitle varchar(240) NULL,
  rTitleCalc char(1) NULL,
  rUpdateOk char(1) NULL,
  rValidate char(1) NULL,
  rValueSvw char(1) NULL,
  rVerify char(1) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irSvwColL ON rSvwCol
(K, zTransNo)
go
CREATE INDEX i029117 ON rSvwCol
(rSRRepK, K)
go

CREATE TABLE rSvwFmt
(
  K int NOT NULL,
  rAlign smallint NULL,
  rCase smallint NULL,
  rCheckText varchar(240) NULL,
  rColumnK int NULL,
  rFmt4gl varchar(240) NULL,
  rFmtMask varchar(240) NULL,
  rFontColor int NULL,
  rFontName varchar(240) NULL,
  rFontSize smallint NULL,
  rFontStyle smallint NULL,
  rKey char(19) NULL,
  rSequence smallint NULL,
  rSRRepK int NULL,
  rSuperTs char(19) NULL,
  rSupSvFmtK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irSvwFmtL ON rSvwFmt
(K, zTransNo)
go
CREATE INDEX i029216 ON rSvwFmt
(rColumnK, K)
go
CREATE INDEX i029218 ON rSvwFmt
(rSRRepK, K)
go
CREATE INDEX i029238 ON rSvwFmt
(rSupSvFmtK, K)
go

CREATE TABLE rTable
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rAlteredTS varchar(240) NULL,
  rAudit smallint NULL,
  rAvgGrow float NULL,
  rAvgRow float NULL,
  rBlkCfgK int NULL,
  rBlocking int NULL,
  rCache char(1) NULL,
  rCategory smallint NULL,
  rCodedName varchar(240) NULL,
  rCommDate datetime NULL,
  rComment int NULL,
  rCommId varchar(240) NULL,
  rCreatDate datetime NULL,
  rCreatedTS varchar(240) NULL,
  rDataCapt smallint NULL,
  rDatComp char(1) NULL,
  rDdsType smallint NULL,
  rDefDegree char(1) NULL,
  rDefInstnc char(1) NULL,
  rDegree smallint NULL,
  rDropRestr char(1) NULL,
  rDumpName varchar(240) NULL,
  rEncoding smallint NULL,
  rFileGrCol char(1) NULL,
  rFileGrDef char(1) NULL,
  rFillFact smallint NULL,
  rFreeList int NULL,
  rFreeLsGrp int NULL,
  rIBITabK int NULL,
  rInitExtnt int NULL,
  rInitrans smallint NULL,
  rInitUnit smallint NULL,
  rInstances smallint NULL,
  rIsMaster char(1) NULL,
  rIsView char(1) NULL,
  rJournal char(1) NULL,
  rKey char(19) NULL,
  rKeyComp char(1) NULL,
  rLabel varchar(240) NULL,
  rLeafFill smallint NULL,
  rLockMode smallint NULL,
  rMaxExtnt int NULL,
  rMaxGrow int NULL,
  rMaxRow int NULL,
  rMaxtrans smallint NULL,
  rMinExtnt int NULL,
  rModalGrow int NULL,
  rModalRow int NULL,
  rModifDate datetime NULL,
  rName varchar(240) NULL,
  rNbPart int NULL,
  rNextExtnt int NULL,
  rNextUnit smallint NULL,
  rNoLeafFil smallint NULL,
  rObjId varchar(240) NULL,
  rOrigUserK int NULL,
  rParallel char(1) NULL,
  rPathName varchar(240) NULL,
  rPctFree smallint NULL,
  rPctIncrs smallint NULL,
  rPctUSed smallint NULL,
  rPeriod varchar(240) NULL,
  rPhysAcces varchar(240) NULL,
  rProcEditK int NULL,
  rProcVldK int NULL,
  rRowLength smallint NULL,
  rSelecRule int NULL,
  rSRRepK int NULL,
  rStoCfgK int NULL,
  rStrucType smallint NULL,
  rSuperTs char(19) NULL,
  rSupTableK int NULL,
  rSvAliCalc char(1) NULL,
  rSvwAlias varchar(240) NULL,
  rSvwLevel varchar(240) NULL,
  rSynonym varchar(240) NULL,
  rSysName varchar(240) NULL,
  rTabCol int NULL,
  rTabColSt int NULL,
  rTemporary char(1) NULL,
  rTypFrgm smallint NULL,
  rViewCheck smallint NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irTableL ON rTable
(K, zTransNo)
go
CREATE INDEX i022592 ON rTable
(rBlkCfgK, K)
go
CREATE INDEX i022582 ON rTable
(rProcEditK, K)
go
CREATE INDEX i022580 ON rTable
(rProcVldK, K)
go
CREATE INDEX i022540 ON rTable
(rSRRepK, K)
go
CREATE INDEX i131926 ON rTable
(rTabCol, K)
go
CREATE INDEX i131904 ON rTable
(rTabColSt, K)
go
CREATE INDEX i022561 ON rTable
(rStoCfgK, K)
go
CREATE INDEX i022538 ON rTable
(rSupTableK, K)
go
CREATE INDEX i131740 ON rTable
(rOrigUserK, K)
go

CREATE TABLE rTableG
(
  K int NOT NULL,
  rDuplicNo smallint NULL,
  rGraphicK int NULL,
  rKey char(19) NULL,
  rNbDuplic smallint NULL,
  rSRRepK int NULL,
  rSuperTs char(19) NULL,
  rSupTabGK int NULL,
  rTableK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irTableGL ON rTableG
(K, zTransNo)
go
CREATE INDEX i022211 ON rTableG
(rSRRepK, K)
go
CREATE INDEX i022218 ON rTableG
(rSupTabGK, K)
go
CREATE INDEX i022210 ON rTableG
(rTableK, K)
go

CREATE TABLE rTabspc
(
  K int NOT NULL,
  rAlias varchar(240) NULL,
  rAlteredTS varchar(240) NULL,
  rBlkCfgK int NULL,
  rBufpool varchar(240) NULL,
  rCheckPt char(1) NULL,
  rClose char(1) NULL,
  rCodedName varchar(240) NULL,
  rComment int NULL,
  rCompress char(1) NULL,
  rCreatedTS varchar(240) NULL,
  rDatabase char(1) NULL,
  rDatabasK int NULL,
  rDsetpass varchar(240) NULL,
  rDump char(1) NULL,
  rEncoding smallint NULL,
  rErase char(1) NULL,
  rFreeList int NULL,
  rFreeLsGrp int NULL,
  rFreePage smallint NULL,
  rGbpcache smallint NULL,
  rInitExtnt int NULL,
  rInitUnit smallint NULL,
  rJournal char(1) NULL,
  rKey char(19) NULL,
  rLockmax varchar(240) NULL,
  rLockpart smallint NULL,
  rLocksize smallint NULL,
  rMaxExtnt int NULL,
  rMaxrows varchar(240) NULL,
  rMinExtnt int NULL,
  rName varchar(240) NULL,
  rNextExtnt int NULL,
  rNextUnit smallint NULL,
  rNumParts smallint NULL,
  rOptimal int NULL,
  rOptimUnit smallint NULL,
  rPctFree smallint NULL,
  rPctIncrs smallint NULL,
  rSegsize int NULL,
  rSRRepK int NULL,
  rStoCfgK int NULL,
  rStogrpK int NULL,
  rSuperTs char(19) NULL,
  rSupTbspcK int NULL,
  rType smallint NULL,
  rVcat varchar(240) NULL,
  rWork char(1) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irTabspcL ON rTabspc
(K, zTransNo)
go
CREATE INDEX i026028 ON rTabspc
(rBlkCfgK, K)
go
CREATE INDEX i026046 ON rTabspc
(rSRRepK, K)
go
CREATE INDEX i026026 ON rTabspc
(rStogrpK, K)
go
CREATE INDEX i026021 ON rTabspc
(rStoCfgK, K)
go
CREATE INDEX i026050 ON rTabspc
(rSupTbspcK, K)
go

CREATE TABLE rTabTbsp
(
  K int NOT NULL,
  rKey char(19) NULL,
  rRglFrgm varchar(240) NULL,
  rSRRepK int NULL,
  rTableK int NULL,
  rTabspcK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irTabTbspL ON rTabTbsp
(K, zTransNo)
go
CREATE INDEX i027006 ON rTabTbsp
(rSRRepK, K)
go
CREATE INDEX i027004 ON rTabTbsp
(rTableK, K)
go
CREATE INDEX i027002 ON rTabTbsp
(rTabspcK, K)
go

CREATE TABLE rText
(
  K int NOT NULL,
  rFontName varchar(240) NULL,
  rFontSize smallint NULL,
  rFontStyle smallint NULL,
  rIdent int NULL,
  rKey char(19) NULL,
  rSRRepK int NULL,
  rText int NULL,
  rTextGK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irTextL ON rText
(K, zTransNo)
go
CREATE INDEX i022616 ON rText
(rSRRepK, K)
go

CREATE TABLE rTextG
(
  K int NOT NULL,
  rGraphicK int NULL,
  rKey char(19) NULL,
  rSRRepK int NULL,
  rTextK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irTextGL ON rTextG
(K, zTransNo)
go
CREATE INDEX i022308 ON rTextG
(rSRRepK, K)
go

CREATE TABLE rZone
(
  K int NOT NULL,
  rAccesVec smallint NULL,
  rActive char(1) NULL,
  rBlue smallint NULL,
  rComment int NULL,
  rContentK int NULL,
  rDrawLine char(1) NULL,
  rGap int NULL,
  rGapIfEmpt int NULL,
  rGreen smallint NULL,
  rKey char(19) NULL,
  rName varchar(240) NULL,
  rRed smallint NULL,
  rSequence smallint NULL,
  rSRRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX irZoneL ON rZone
(K, zTransNo)
go
CREATE INDEX i024211 ON rZone
(rContentK, K)
go
CREATE INDEX i024213 ON rZone
(rSRRepK, K)
go

CREATE TABLE tImage
(
  K int NOT NULL,
  tImage image NULL,
  tSpecConc int NULL,
  tSpecK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX itImageL ON tImage
(K, zTransNo)
go

CREATE TABLE tItgParm
(
  K int NOT NULL,
  tItgParm text NULL,
  tSpecConc int NULL,
  tSpecK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX itItgParmL ON tItgParm
(K, zTransNo)
go

CREATE TABLE tLongTxt
(
  K int NOT NULL,
  tLongTxt text NULL,
  tSpecConc int NULL,
  tSpecK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX itLongTxtL ON tLongTxt
(K, zTransNo)
go

CREATE TABLE tPrtParm
(
  K int NOT NULL,
  tPrtParm image NULL,
  tSpecConc int NULL,
  tSpecK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX itPrtParmL ON tPrtParm
(K, zTransNo)
go

CREATE TABLE wBasType
(
  K int NOT NULL,
  wAlias varchar(240) NULL,
  wCodedName varchar(240) NULL,
  wComment int NULL,
  wCreatDate datetime NULL,
  wKey char(19) NULL,
  wLength smallint NULL,
  wModifDate datetime NULL,
  wName varchar(240) NULL,
  wPicture varchar(240) NULL,
  wProjectK int NULL,
  wTargSysK int NULL,
  wUniform char(1) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwBasTypeL ON wBasType
(K, zTransNo)
go
CREATE INDEX i000508 ON wBasType
(wProjectK, K)
go
CREATE INDEX i000535 ON wBasType
(wTargSysK, K)
go

CREATE TABLE wCharact
(
  K int NOT NULL,
  wAlias varchar(240) NULL,
  wCodedName varchar(240) NULL,
  wComItemK int NULL,
  wComment int NULL,
  wComponK int NULL,
  wCreatDate datetime NULL,
  wDomainK int NULL,
  wKey char(19) NULL,
  wLength smallint NULL,
  wModifDate datetime NULL,
  wName varchar(240) NULL,
  wNbDecimal smallint NULL,
  wProjectK int NULL,
  wSequence smallint NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwCharactL ON wCharact
(K, zTransNo)
go
CREATE INDEX i002911 ON wCharact
(wComponK, K)
go
CREATE INDEX i002913 ON wCharact
(wDomainK, K)
go
CREATE INDEX i002915 ON wCharact
(wComItemK, K)
go
CREATE INDEX i002917 ON wCharact
(wProjectK, K)
go

CREATE TABLE wComItem
(
  K int NOT NULL,
  rCommDate datetime NULL,
  rCommId varchar(240) NULL,
  wAlias varchar(240) NULL,
  wCodedName varchar(240) NULL,
  wComment int NULL,
  wCreatDate datetime NULL,
  wDomainK int NULL,
  wKey char(19) NULL,
  wLength smallint NULL,
  wModifDate datetime NULL,
  wName varchar(240) NULL,
  wNbDecimal smallint NULL,
  wOwner varchar(240) NULL,
  wProjectK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwComItemL ON wComItem
(K, zTransNo)
go
CREATE INDEX i000210 ON wComItem
(wDomainK, K)
go
CREATE INDEX i000213 ON wComItem
(wProjectK, K)
go

CREATE TABLE wCompCat
(
  K int NOT NULL,
  wComment int NULL,
  wCreatDate datetime NULL,
  wDescript varchar(240) NULL,
  wDescrMode smallint NULL,
  wKey char(19) NULL,
  wModifDate datetime NULL,
  wName varchar(240) NULL,
  wProjectK int NULL,
  wSR char(1) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwCompCatL ON wCompCat
(K, zTransNo)
go
CREATE INDEX i002033 ON wCompCat
(wProjectK, K)
go

CREATE TABLE wCompon
(
  K int NOT NULL,
  wAlias varchar(240) NULL,
  wCodedName varchar(240) NULL,
  wComment int NULL,
  wCompCatK int NULL,
  wCreatDate datetime NULL,
  wKey char(19) NULL,
  wModifDate datetime NULL,
  wName varchar(240) NULL,
  wProjectK int NULL,
  wRepresK int NULL,
  wStructK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwComponL ON wCompon
(K, zTransNo)
go
CREATE INDEX i002444 ON wCompon
(wCompCatK, K)
go
CREATE INDEX i002440 ON wCompon
(wProjectK, K)
go
CREATE INDEX i002432 ON wCompon
(wRepresK, K)
go
CREATE INDEX i002447 ON wCompon
(wStructK, K)
go

CREATE TABLE wCompPrs
(
  K int NOT NULL,
  wComponK int NULL,
  wKey char(19) NULL,
  wProjectK int NULL,
  wRepresK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwCompPrsL ON wCompPrs
(K, zTransNo)
go
CREATE INDEX i002604 ON wCompPrs
(wComponK, K)
go
CREATE INDEX i002606 ON wCompPrs
(wProjectK, K)
go
CREATE INDEX i002602 ON wCompPrs
(wRepresK, K)
go

CREATE TABLE wCorrCat
(
  K int NOT NULL,
  wComment int NULL,
  wCreatDate datetime NULL,
  wDescript varchar(240) NULL,
  wKey char(19) NULL,
  wModifDate datetime NULL,
  wName varchar(240) NULL,
  wProjectK int NULL,
  wSR char(1) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwCorrCatL ON wCorrCat
(K, zTransNo)
go
CREATE INDEX i001930 ON wCorrCat
(wProjectK, K)
go

CREATE TABLE wCorresp
(
  K int NOT NULL,
  wComment int NULL,
  wCorrCatK int NULL,
  wCreatDate datetime NULL,
  wDstCompK int NULL,
  wKey char(19) NULL,
  wModifDate datetime NULL,
  wProjectK int NULL,
  wSrcCompK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwCorrespL ON wCorresp
(K, zTransNo)
go
CREATE INDEX i001838 ON wCorresp
(wCorrCatK, K)
go
CREATE INDEX i001830 ON wCorresp
(wSrcCompK, K)
go
CREATE INDEX i001832 ON wCorresp
(wDstCompK, K)
go
CREATE INDEX i001835 ON wCorresp
(wProjectK, K)
go

CREATE TABLE wDefault
(
  K int NOT NULL,
  rKey char(19) NULL,
  wAlias varchar(240) NULL,
  wCodedName varchar(240) NULL,
  wComment int NULL,
  wExpress int NULL,
  wName varchar(240) NULL,
  wProjectK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwDefaultL ON wDefault
(K, zTransNo)
go
CREATE INDEX i131711 ON wDefault
(wProjectK, K)
go

CREATE TABLE wDomain
(
  K int NOT NULL,
  rCaseSens char(1) NULL,
  rCommId varchar(240) NULL,
  rDb2SubTyp smallint NULL,
  rDefVal varchar(240) NULL,
  rFutOnlyDf char(1) NULL,
  rFutOnlyRu char(1) NULL,
  rIdentity char(1) NULL,
  rMinLength smallint NULL,
  rNullPoss char(1) NULL,
  rUserType char(1) NULL,
  wAlias varchar(240) NULL,
  wBasTypeK int NULL,
  wCodedName varchar(240) NULL,
  wComment int NULL,
  wCreatDate datetime NULL,
  wDefaultK int NULL,
  wDiscrete char(1) NULL,
  wDomainK int NULL,
  wExample varchar(240) NULL,
  wKey char(19) NULL,
  wLength smallint NULL,
  wMaxValue varchar(240) NULL,
  wMinValue varchar(240) NULL,
  wModifDate datetime NULL,
  wName varchar(240) NULL,
  wNbDecimal smallint NULL,
  wOwner varchar(240) NULL,
  wPicture varchar(240) NULL,
  wProjectK int NULL,
  wRuleK int NULL,
  wTargSysK int NULL,
  wUniform char(1) NULL,
  wValFile varchar(240) NULL,
  wValidRule int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwDomainL ON wDomain
(K, zTransNo)
go
CREATE INDEX i028418 ON wDomain
(wDefaultK, K)
go
CREATE INDEX i028403 ON wDomain
(wDomainK, K)
go
CREATE INDEX i000422 ON wDomain
(wProjectK, K)
go
CREATE INDEX i028416 ON wDomain
(wRuleK, K)
go
CREATE INDEX i028405 ON wDomain
(wTargSysK, K)
go
CREATE INDEX i000420 ON wDomain
(wBasTypeK, K)
go

CREATE TABLE wDomPrs
(
  K int NOT NULL,
  wDomainK int NULL,
  wKey char(19) NULL,
  wProjectK int NULL,
  wRepresK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwDomPrsL ON wDomPrs
(K, zTransNo)
go
CREATE INDEX i002654 ON wDomPrs
(wDomainK, K)
go
CREATE INDEX i002656 ON wDomPrs
(wProjectK, K)
go
CREATE INDEX i002652 ON wDomPrs
(wRepresK, K)
go

CREATE TABLE wDomVal
(
  K int NOT NULL,
  wComment int NULL,
  wCreatDate datetime NULL,
  wDescript varchar(240) NULL,
  wDomainK int NULL,
  wKey char(19) NULL,
  wModifDate datetime NULL,
  wProjectK int NULL,
  wSequence smallint NULL,
  wSupValue varchar(240) NULL,
  wValue varchar(240) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwDomValL ON wDomVal
(K, zTransNo)
go
CREATE INDEX i000707 ON wDomVal
(wDomainK, K)
go
CREATE INDEX i000705 ON wDomVal
(wProjectK, K)
go

CREATE TABLE wExtStru
(
  K int NOT NULL,
  wCategory smallint NULL,
  wChAlias varchar(240) NULL,
  wChBasType varchar(240) NULL,
  wChCodName varchar(240) NULL,
  wChComment int NULL,
  wChLen smallint NULL,
  wChName varchar(240) NULL,
  wChNbDec smallint NULL,
  wKey char(19) NULL,
  wNumber int NULL,
  wPaAlias varchar(240) NULL,
  wPaCodName varchar(240) NULL,
  wPaName varchar(240) NULL,
  wPfxIdent char(1) NULL,
  wPfxMax varchar(240) NULL,
  wPfxMin varchar(240) NULL,
  wProjectK int NULL,
  wSfxDepend char(1) NULL,
  wSfxMax varchar(240) NULL,
  wSfxMin varchar(240) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwExtStruL ON wExtStru
(K, zTransNo)
go
CREATE INDEX i003420 ON wExtStru
(wProjectK, K)
go

CREATE TABLE wItemPrs
(
  K int NOT NULL,
  wComItemK int NULL,
  wKey char(19) NULL,
  wProjectK int NULL,
  wRepresK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwItemPrsL ON wItemPrs
(K, zTransNo)
go
CREATE INDEX i002504 ON wItemPrs
(wComItemK, K)
go
CREATE INDEX i002506 ON wItemPrs
(wProjectK, K)
go
CREATE INDEX i002502 ON wItemPrs
(wRepresK, K)
go

CREATE TABLE wNSRRep
(
  K int NOT NULL,
  wKey char(19) NULL,
  wProjectK int NULL,
  wRepresK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwNSRRepL ON wNSRRep
(K, zTransNo)
go
CREATE INDEX i002230 ON wNSRRep
(wProjectK, K)
go

CREATE TABLE wProject
(
  K int NOT NULL,
  wAlias varchar(240) NULL,
  wCodedName varchar(240) NULL,
  wComment int NULL,
  wCreatDate datetime NULL,
  wDelimiter varchar(240) NULL,
  wFirstSave char(1) NULL,
  wKey char(19) NULL,
  wModifDate datetime NULL,
  wName varchar(240) NULL,
  wOrganiz varchar(240) NULL,
  wOwner varchar(240) NULL,
  wReadPassw varbinary(240) NULL,
  wUpdPassw varbinary(240) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwProjectL ON wProject
(K, zTransNo)
go

CREATE TABLE wRepPrs
(
  K int NOT NULL,
  wKey char(19) NULL,
  wPresRepK int NULL,
  wProjectK int NULL,
  wUsingRepK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwRepPrsL ON wRepPrs
(K, zTransNo)
go
CREATE INDEX i003305 ON wRepPrs
(wProjectK, K)
go
CREATE INDEX i003309 ON wRepPrs
(wUsingRepK, K)
go
CREATE INDEX i003307 ON wRepPrs
(wPresRepK, K)
go

CREATE TABLE wRepres
(
  K int NOT NULL,
  wAlias varchar(240) NULL,
  wCodedName varchar(240) NULL,
  wComFnName varchar(240) NULL,
  wComFnSize smallint NULL,
  wComFnStyl smallint NULL,
  wComment int NULL,
  wCreatDate datetime NULL,
  wCreator varchar(240) NULL,
  wFormalism varchar(240) NULL,
  wKey char(19) NULL,
  wModifDate datetime NULL,
  wName varchar(240) NULL,
  wOwner varchar(240) NULL,
  wProjectK int NULL,
  wSpecConc int NULL,
  wSpecK int NULL,
  wSrFormal varchar(240) NULL,
  wVersion varchar(240) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwRepresL ON wRepres
(K, zTransNo)
go
CREATE INDEX i002132 ON wRepres
(wProjectK, K)
go

CREATE TABLE wRule
(
  K int NOT NULL,
  rKey char(19) NULL,
  wAlias varchar(240) NULL,
  wCodedName varchar(240) NULL,
  wComment int NULL,
  wExpress int NULL,
  wName varchar(240) NULL,
  wProjectK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwRuleL ON wRule
(K, zTransNo)
go
CREATE INDEX i131714 ON wRule
(wProjectK, K)
go

CREATE TABLE wSRRep
(
  dDepNotaId smallint NULL,
  dEntNotaId smallint NULL,
  dExEnHeigh int NULL,
  dExEnIdPrf varchar(240) NULL,
  dExEnShape smallint NULL,
  dExEnWidth int NULL,
  dFloLabDis char(1) NULL,
  dFloNotaId smallint NULL,
  dFlowIDPrf varchar(240) NULL,
  dFormat char(1) NULL,
  dHierIdDis char(1) NULL,
  dLevelSep smallint NULL,
  dNoReduct char(1) NULL,
  dNxExEnId smallint NULL,
  dNxFlowId smallint NULL,
  dNxStoreId smallint NULL,
  dOriExEnZn smallint NULL,
  dOriProcZn smallint NULL,
  dOriStorZn smallint NULL,
  dPrFrmDisp char(1) NULL,
  dProcContK int NULL,
  dProcHeigh int NULL,
  dProcShape smallint NULL,
  dProcWidth int NULL,
  dProNotaId smallint NULL,
  dQualDisp char(1) NULL,
  dStorHeigh int NULL,
  dStorIdPrf varchar(240) NULL,
  dStorShape smallint NULL,
  dStorWidth int NULL,
  K int NOT NULL,
  rAccParSou int NULL,
  rAccParSup int NULL,
  rAccProSub char(1) NULL,
  rAccProSup char(1) NULL,
  rAllowInt char(1) NULL,
  rCategory smallint NULL,
  rChComItem char(1) NULL,
  rDBMS smallint NULL,
  rDefinit int NULL,
  rDomainK int NULL,
  rForKGen char(1) NULL,
  rGenAppl smallint NULL,
  rGenCol char(1) NULL,
  rIBIDMFDK int NULL,
  rIBIType smallint NULL,
  rIntAuto char(1) NULL,
  rItcColCop char(1) NULL,
  rLocalName varchar(240) NULL,
  rLocalVers varchar(240) NULL,
  rParmSubs int NULL,
  rParmSuper int NULL,
  rPeriod varchar(240) NULL,
  rPropSubs char(1) NULL,
  rPropSuper char(1) NULL,
  rSuperTs char(19) NULL,
  rSupRepK int NULL,
  rSurAuto char(1) NULL,
  rSurName varchar(240) NULL,
  rTargSysK int NULL,
  rValidGen smallint NULL,
  rVerified char(1) NULL,
  wDelPassw varbinary(240) NULL,
  wFirstSave char(1) NULL,
  wGraphic char(1) NULL,
  wKey char(19) NULL,
  wMsUnit int NULL,
  wNbModif smallint NULL,
  wProjectK int NULL,
  wReadPassw varbinary(240) NULL,
  wRepresK int NULL,
  wUpdPassw varbinary(240) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwSRRepL ON wSRRep
(K, zTransNo)
go
CREATE INDEX i022981 ON wSRRep
(rDomainK, K)
go
CREATE INDEX i001116 ON wSRRep
(wProjectK, K)
go
CREATE INDEX i022946 ON wSRRep
(rSupRepK, K)
go
CREATE INDEX i022986 ON wSRRep
(rTargSysK, K)
go

CREATE TABLE wStruct
(
  K int NOT NULL,
  wAlias varchar(240) NULL,
  wCodedName varchar(240) NULL,
  wComment int NULL,
  wCreatDate datetime NULL,
  wKey char(19) NULL,
  wModifDate datetime NULL,
  wName varchar(240) NULL,
  wProjectK int NULL,
  wStruNodK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwStructL ON wStruct
(K, zTransNo)
go
CREATE INDEX i001608 ON wStruct
(wProjectK, K)
go

CREATE TABLE wStruNod
(
  K int NOT NULL,
  wHierName varchar(240) NULL,
  wKey char(19) NULL,
  wProjectK int NULL,
  wSpecConc int NULL,
  wSpecK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwStruNodL ON wStruNod
(K, zTransNo)
go
CREATE INDEX i001304 ON wStruNod
(wProjectK, K)
go

CREATE TABLE wStruPrs
(
  K int NOT NULL,
  wKey char(19) NULL,
  wProjectK int NULL,
  wRepresK int NULL,
  wStructK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwStruPrsL ON wStruPrs
(K, zTransNo)
go
CREATE INDEX i002706 ON wStruPrs
(wProjectK, K)
go
CREATE INDEX i002702 ON wStruPrs
(wRepresK, K)
go
CREATE INDEX i002704 ON wStruPrs
(wStructK, K)
go

CREATE TABLE wSubStru
(
  K int NOT NULL,
  wAlias varchar(240) NULL,
  wCategory smallint NULL,
  wChoice smallint NULL,
  wChoiceMax varchar(240) NULL,
  wChoiceMin varchar(240) NULL,
  wCodedName varchar(240) NULL,
  wComItemK int NULL,
  wComment int NULL,
  wCreatDate datetime NULL,
  wDomainK int NULL,
  wKey char(19) NULL,
  wLength smallint NULL,
  wModifDate datetime NULL,
  wName varchar(240) NULL,
  wNbDecimal smallint NULL,
  wPaNodeK int NULL,
  wPfxIdent char(1) NULL,
  wPfxMax varchar(240) NULL,
  wPfxMin varchar(240) NULL,
  wPrefix varchar(240) NULL,
  wProjectK int NULL,
  wSequence smallint NULL,
  wSfxDepend char(1) NULL,
  wSfxMax varchar(240) NULL,
  wSfxMin varchar(240) NULL,
  wStructK int NULL,
  wStruNodK int NULL,
  wSuffix varchar(240) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwSubStruL ON wSubStru
(K, zTransNo)
go
CREATE INDEX i001538 ON wSubStru
(wDomainK, K)
go
CREATE INDEX i001513 ON wSubStru
(wComItemK, K)
go
CREATE INDEX i001515 ON wSubStru
(wPaNodeK, K)
go
CREATE INDEX i001518 ON wSubStru
(wProjectK, K)
go
CREATE INDEX i001520 ON wSubStru
(wStructK, K)
go

CREATE TABLE wTargSys
(
  K int NOT NULL,
  rComment int NULL,
  wAlias varchar(240) NULL,
  wCodedName varchar(240) NULL,
  wId smallint NULL,
  wKey char(19) NULL,
  wName varchar(240) NULL,
  wProjectK int NULL,
  wVersion varchar(240) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwTargSysL ON wTargSys
(K, zTransNo)
go
CREATE INDEX i001007 ON wTargSys
(wProjectK, K)
go

CREATE TABLE wTypePrs
(
  K int NOT NULL,
  wBasTypeK int NULL,
  wKey char(19) NULL,
  wProjectK int NULL,
  wRepresK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwTypePrsL ON wTypePrs
(K, zTransNo)
go
CREATE INDEX i002802 ON wTypePrs
(wProjectK, K)
go
CREATE INDEX i002804 ON wTypePrs
(wRepresK, K)
go
CREATE INDEX i002806 ON wTypePrs
(wBasTypeK, K)
go

CREATE TABLE wUFldVal
(
  K int NOT NULL,
  wChoiceK int NULL,
  wChoiConc int NULL,
  wCreatDate datetime NULL,
  wKey char(19) NULL,
  wModifDate datetime NULL,
  wProjectK int NULL,
  wUserFldK int NULL,
  wValue varchar(240) NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwUFldValL ON wUFldVal
(K, zTransNo)
go
CREATE INDEX i003108 ON wUFldVal
(wChoiceK, K)
go
CREATE INDEX i003103 ON wUFldVal
(wUserFldK, K)
go
CREATE INDEX i003105 ON wUFldVal
(wProjectK, K)
go

CREATE TABLE wUser
(
  K int NOT NULL,
  wAlias varchar(240) NULL,
  wCodedName varchar(240) NULL,
  wComment int NULL,
  wKey char(19) NULL,
  wName varchar(240) NULL,
  wProjectK int NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwUserL ON wUser
(K, zTransNo)
go
CREATE INDEX i131717 ON wUser
(wProjectK, K)
go

CREATE TABLE wUserFld
(
  K int NOT NULL,
  wAlias varchar(240) NULL,
  wCodedName varchar(240) NULL,
  wComment int NULL,
  wConcept int NULL,
  wCreatDate datetime NULL,
  wDerivRule int NULL,
  wDomainK int NULL,
  wKey char(19) NULL,
  wLength smallint NULL,
  wModifDate datetime NULL,
  wName varchar(240) NULL,
  wNbDecimal smallint NULL,
  wNullPoss char(1) NULL,
  wProjectK int NULL,
  wSequence smallint NULL,
  zStatus smallint NULL,
  zTransNo int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX iwUserFldL ON wUserFld
(K, zTransNo)
go
CREATE INDEX i003013 ON wUserFld
(wDomainK, K)
go
CREATE INDEX i003015 ON wUserFld
(wProjectK, K)
go

CREATE TABLE zChkTran
(
  zChunkK int NULL,
  zConnectK int NULL,
  zDetail image NULL,
  zNbUpdate smallint NULL,
  zTransName varchar(240) NULL,
  zTransNo int NULL,
  zUid int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX izChkTranP ON zChkTran
(zUid)
go
CREATE INDEX izChkTran ON zChkTran
(zChunkK, zTransNo)
go
CREATE INDEX izChkTranU ON zChkTran
(zNbUpdate)
go

CREATE TABLE zChkUsed
(
  zChunkK int NOT NULL,
  zConnectK int NOT NULL,
  zLocked char(1) NULL,
  zTmp char(1) NULL
)
go
CREATE UNIQUE CLUSTERED INDEX izChkUsedT ON zChkUsed
(zConnectK, zChunkK)
go
CREATE UNIQUE INDEX izChkUsedK ON zChkUsed
(zChunkK, zConnectK)
go

CREATE TABLE zConnect
(
  zDateAlive int NULL,
  zNeedLUpd char(1) NULL,
  zNeedUpd char(1) NULL,
  zTransUpd int NULL,
  zUid int NOT NULL,
  zUserId varchar(240) NULL
)
go
CREATE UNIQUE CLUSTERED INDEX izConnectP ON zConnect
(zUid)
go

CREATE TABLE zControl
(
  zCharSet varchar(240) NULL,
  zConnectK int NULL,
  zLastTrans int NULL,
  zLastUid int NULL,
  zTimeClean int NULL,
  zUid int NOT NULL
)
go
CREATE UNIQUE CLUSTERED INDEX izControlP ON zControl
(zUid)
go

CREATE TABLE zModule
(
  zName varchar(240) NOT NULL,
  zVersion varchar(240) NULL
)
go
CREATE UNIQUE CLUSTERED INDEX izModuleP ON zModule
(zName)
go


ALTER TABLE zConnect ADD
  zPad1 char(255) NULL,
  zPad2 char(255) NULL,
  zPad3 char(255) NULL,
  zPad4 char(255) NULL
go

create default zPad as '1'
go
sp_bindefault zPad, 'zConnect.zPad1'
go
sp_bindefault zPad, 'zConnect.zPad2'
go
sp_bindefault zPad, 'zConnect.zPad3'
go
sp_bindefault zPad, 'zConnect.zPad4'
go

if not exists (select * from zModule)
begin
    insert into zModule values ('EPI', '370')
    insert into zModule values ('MMC', '370')
end
go


/* NUMBER OF TABLES CREATED FOR THE SILVERRUN REPOSITORY. */

select count(*)
from sysobjects sobj
where sobj.uid = user_id() and sobj.type = 'U'
go


/* NUMBER OF INDEXES CREATED FOR THE SILVERRUN REPOSITORY. */

select count(*) from sysindexes
where id in (select id from sysobjects
			 where uid = user_id() and type = 'U')
	  and indid != 255
go

