/************************************************************************************
*                                                                                   *
*   repinfo.sql        SILVERRUN ENTERPRISE BPM/RDM 2.8/2.9   Grandite              *
*                      SILVERRUN ENTREPRISE DFD/MRD 2.8/2.9   Grandite              *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Log in as:                                  Se connecter sous:                  *
*                                                                                   *
*   User with System Administrator role.        Utilisateur ayant les privileges    *
*                                               d'un 'System Administrator'.        *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script extracting data to ensure that       Script montrant les informations    *
*   the installation of the Repository has      permettant de s'assurer que         *
*   been done successfully.                     l'installation du Referentiel est   *
*                                               complete.                           *
*                                                                                   *
*   The Repository contains 150 tables and      Le Referentiel contient 150 tables  *
*   513 indexes.                                et 513 index.                       *
*                                                                                   *
************************************************************************************/

set nocount on


use silverrun_db
go

print ' '
print ' '
print '******************************************************************************'
print '*                                                                            *'
print '*   Informations about                      Informations sur la base de      *'
print '*   silverrun_db database.                  donnees silverrun_db.            *'
print '*                                                                            *'
print '******************************************************************************'
print ' '
go

sp_helpdb silverrun_db
go


use master
go

print ' '
print ' '
print '******************************************************************************'
print '*                                                                            *'
print '*   Devices and their physical names.       Noms physiques des 'devices'.    *'
print '*                                                                            *'
print '******************************************************************************'
print ' '

select name, phyname
from sysdevices
where name in ('sr_repository_data','dev_sr_repository_indexes',
'dev_sr_repository_log')
go


use silverrun_db
go


print ' '
print ' '
print '******************************************************************************'
print '*                                                                            *'
print '*   Objects created in segments.            Objets crees dans les 'segments'.*'
print '*                                                                            *'
print '******************************************************************************'
print ' '

/* NUMBER OF TABLES CREATED FOR THE SILVERRUN REPOSITORY. */

select count(*)
from sysobjects sobj
where sobj.uid = user_id() and sobj.type = 'U'
go


/* NUMBER OF INDEXES CREATED FOR THE SILVERRUN REPOSITORY. */

select count(*) from sysindexes
where id in (select id from sysobjects
			 where uid = user_id() and type = 'U')
	  and indid != 255
go


print ' '
print ' '
print '******************************************************************************'
print '*                                                                            *'
print '*   Contents of zModule.                    Les occurrences de zModule.      *'
print '*                                                                            *'
print '******************************************************************************'
print ' '
go
select zName = convert(char(20),zName), zVersion = convert(char(20),zVersion) from zModule
go


set nocount off
