/************************************************************************************
*                                                                                   *
*   userinfo.sql       SILVERRUN ENTERPRISE BPM/RDM 2.8/2.9   Grandite              *
*                      SILVERRUN ENTREPRISE DFD/MRD 2.8/2.9   Grandite              *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Connect under:                              Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script showing a user's privileges          Script montrant les privileges      *
*   on the Silverrun Repository tables.         d'un "user" sur les tables du       *
*   correctly.                                  Referentiel Silverrun.              *
*                                                                                   *
*                                                                                   *
*   YOU MUST MODIFY THIS SCRIPT BEFORE          VOUS DEVEZ MODIFIER CE SCRIPT AVANT *
*   ITS FIRST RUN:                              SA PREMIERE EXECUTION :             *
*                                                                                   *
*   Replace the word <user> by the              Remplacez le mot <user> par le nom  *
*   user name.                                  du "user".                          *
*                                                                                   *
************************************************************************************/


set nocount on

use silverrun_db
go


print " "
print " "
print "******************************************************************************"
print "*                                                                            *"
print "*   Select, Insert, Delete and Update       Les droits de Select, Insert,    *"
print "*   privileges for a user.                  Delete et Update d'un            *"
print "*                                           utilisateur.                     *"
print "*                                                                            *"
print "******************************************************************************"
print " "
go

/* Number of Silverrun Repository tables user can select.*/

declare @nbtab char(4)
declare @username varchar(40)
declare	@buf varchar(200)

begin

select @username = "<user>"
select @buf = @username + "'s privileges on Silverrun Repository tables:"
print @buf

select @nbtab = convert(char(4), count(distinct o.name)) from sysobjects o, sysusers u, sysprotects p
where u.uid = p.uid and o.type = 'U' and o.id = p.id and u.name = @username and
p.action = 193 and o.name in
	(
		'dCell',
		'dCpnProc',
		'dCpnStor',
		'dDiag',
		'dDispDes',
		'dExEnGR',
		'dExEnPrs',
		'dExtEnt',
		'dFigure',
		'dFigurGR',
		'dFlow',
		'dFlowGR',
		'dFont',
		'dFText',
		'dFTextGR',
		'dGrapRep',
		'dLabelGR',
		'dLine',
		'dLineGR',
		'dLinkGR',
		'dNode',
		'dPictGR',
		'dPicture',
		'dProcess',
		'dProcFrm',
		'dProcGR',
		'dProcPrs',
		'dQualGR',
		'dQualif',
		'dQulExEn',
		'dQulFlow',
		'dQulProc',
		'dQulSto',
		'dResourc',
		'dResProc',
		'dStamp',
		'dStampGR',
		'dStore',
		'dStoreGR',
		'dStorPrs',
		'dZone',
		'rActCat',
		'rAction',
		'rAttrSet',
		'rBlkCfg',
		'rChoice',
		'rChoiceG',
		'rChoiLnG',
		'rColAct',
		'rColumn',
		'rColVal',
		'rCombCol',
		'rCombDir',
		'rCombin',
		'rCompTbl',
		'rConcAcc',
		'rConnect',
		'rConnG',
		'rConnvG',
		'rConstr',
		'rContent',
		'rDatabas',
		'rDescAcc',
		'rDiagram',
		'rDim',
		'rDirect',
		'rErrMsg',
		'rFigure',
		'rFigureG',
		'rFile',
		'rFilSgrp',
		'rFilTbsp',
		'rFont',
		'rGraphic',
		'rIBICol',
		'rIBIDir',
		'rIBILink',
		'rIBILoc',
		'rIBIMFD',
		'rIBISec',
		'rIBITab',
		'rIndex',
		'rIndTbsp',
		'rLabelG',
		'rLine',
		'rLineG',
		'rMDIndex',
		'rPart',
		'rPictG',
		'rPicture',
		'rProc',
		'rRelCol',
		'rRollSeg',
		'rSDColn',
		'rSDFld',
		'rSDFldVl',
		'rSeq',
		'rSpecSym',
		'rStamp',
		'rStampG',
		'rStoCfg',
		'rStogrp',
		'rSubZone',
		'rSvwCol',
		'rSvwFmt',
		'rTable',
		'rTableG',
		'rTabspc',
		'rTabTbsp',
		'rText',
		'rTextG',
		'rZone',
		'tImage',
		'tItgParm',
		'tLongTxt',
		'tPrtParm',
		'wBasType',
		'wCharact',
		'wComItem',
		'wCompCat',
		'wCompon',
		'wCompPrs',
		'wCorrCat',
		'wCorresp',
		'wDefault',
		'wDomain',
		'wDomPrs',
		'wDomVal',
		'wExtStru',
		'wItemPrs',
		'wNSRRep',
		'wProject',
		'wRepPrs',
		'wRepres',
		'wRule',
		'wSRRep',
		'wStruct',
		'wStruNod',
		'wStruPrs',
		'wSubStru',
		'wTargSys',
		'wTypePrs',
		'wUFldVal',
		'wUser',
		'wUserFld',
		'zChkTran',
		'zChkUsed',
		'zConnect',
		'zControl',
		'zModule'
	)

select @buf = "    Select privileges: " + @nbtab + " tables on a total of 150."
print @buf


/* Number of Silverrun Repository tables user can insert into.*/

select @nbtab = convert(char(4), count(distinct o.name)) from sysobjects o, sysusers u, sysprotects p
where u.uid = p.uid and o.type = 'U' and o.id = p.id and u.name = @username and
p.action = 195 and o.name in
	(
		'dCell',
		'dCpnProc',
		'dCpnStor',
		'dDiag',
		'dDispDes',
		'dExEnGR',
		'dExEnPrs',
		'dExtEnt',
		'dFigure',
		'dFigurGR',
		'dFlow',
		'dFlowGR',
		'dFont',
		'dFText',
		'dFTextGR',
		'dGrapRep',
		'dLabelGR',
		'dLine',
		'dLineGR',
		'dLinkGR',
		'dNode',
		'dPictGR',
		'dPicture',
		'dProcess',
		'dProcFrm',
		'dProcGR',
		'dProcPrs',
		'dQualGR',
		'dQualif',
		'dQulExEn',
		'dQulFlow',
		'dQulProc',
		'dQulSto',
		'dResourc',
		'dResProc',
		'dStamp',
		'dStampGR',
		'dStore',
		'dStoreGR',
		'dStorPrs',
		'dZone',
		'rActCat',
		'rAction',
		'rAttrSet',
		'rBlkCfg',
		'rChoice',
		'rChoiceG',
		'rChoiLnG',
		'rColAct',
		'rColumn',
		'rColVal',
		'rCombCol',
		'rCombDir',
		'rCombin',
		'rCompTbl',
		'rConcAcc',
		'rConnect',
		'rConnG',
		'rConnvG',
		'rConstr',
		'rContent',
		'rDatabas',
		'rDescAcc',
		'rDiagram',
		'rDim',
		'rDirect',
		'rErrMsg',
		'rFigure',
		'rFigureG',
		'rFile',
		'rFilSgrp',
		'rFilTbsp',
		'rFont',
		'rGraphic',
		'rIBICol',
		'rIBIDir',
		'rIBILink',
		'rIBILoc',
		'rIBIMFD',
		'rIBISec',
		'rIBITab',
		'rIndex',
		'rIndTbsp',
		'rLabelG',
		'rLine',
		'rLineG',
		'rMDIndex',
		'rPart',
		'rPictG',
		'rPicture',
		'rProc',
		'rRelCol',
		'rRollSeg',
		'rSDColn',
		'rSDFld',
		'rSDFldVl',
		'rSeq',
		'rSpecSym',
		'rStamp',
		'rStampG',
		'rStoCfg',
		'rStogrp',
		'rSubZone',
		'rSvwCol',
		'rSvwFmt',
		'rTable',
		'rTableG',
		'rTabspc',
		'rTabTbsp',
		'rText',
		'rTextG',
		'rZone',
		'tImage',
		'tItgParm',
		'tLongTxt',
		'tPrtParm',
		'wBasType',
		'wCharact',
		'wComItem',
		'wCompCat',
		'wCompon',
		'wCompPrs',
		'wCorrCat',
		'wCorresp',
		'wDefault',
		'wDomain',
		'wDomPrs',
		'wDomVal',
		'wExtStru',
		'wItemPrs',
		'wNSRRep',
		'wProject',
		'wRepPrs',
		'wRepres',
		'wRule',
		'wSRRep',
		'wStruct',
		'wStruNod',
		'wStruPrs',
		'wSubStru',
		'wTargSys',
		'wTypePrs',
		'wUFldVal',
		'wUser',
		'wUserFld',
		'zChkTran',
		'zChkUsed',
		'zConnect',
		'zControl',
		'zModule'
	)

select @buf = "    Insert privileges: " + @nbtab + " tables on a total of 150."
print @buf


/* Number of Silverrun Repository tables user can delete.*/

select @nbtab = convert(char(4), count(distinct o.name)) from sysobjects o, sysusers u, sysprotects p
where u.uid = p.uid and o.type = 'U' and o.id = p.id and u.name = @username and
p.action = 196 and o.name in
	(
		'dCell',
		'dCpnProc',
		'dCpnStor',
		'dDiag',
		'dDispDes',
		'dExEnGR',
		'dExEnPrs',
		'dExtEnt',
		'dFigure',
		'dFigurGR',
		'dFlow',
		'dFlowGR',
		'dFont',
		'dFText',
		'dFTextGR',
		'dGrapRep',
		'dLabelGR',
		'dLine',
		'dLineGR',
		'dLinkGR',
		'dNode',
		'dPictGR',
		'dPicture',
		'dProcess',
		'dProcFrm',
		'dProcGR',
		'dProcPrs',
		'dQualGR',
		'dQualif',
		'dQulExEn',
		'dQulFlow',
		'dQulProc',
		'dQulSto',
		'dResourc',
		'dResProc',
		'dStamp',
		'dStampGR',
		'dStore',
		'dStoreGR',
		'dStorPrs',
		'dZone',
		'rActCat',
		'rAction',
		'rAttrSet',
		'rBlkCfg',
		'rChoice',
		'rChoiceG',
		'rChoiLnG',
		'rColAct',
		'rColumn',
		'rColVal',
		'rCombCol',
		'rCombDir',
		'rCombin',
		'rCompTbl',
		'rConcAcc',
		'rConnect',
		'rConnG',
		'rConnvG',
		'rConstr',
		'rContent',
		'rDatabas',
		'rDescAcc',
		'rDiagram',
		'rDim',
		'rDirect',
		'rErrMsg',
		'rFigure',
		'rFigureG',
		'rFile',
		'rFilSgrp',
		'rFilTbsp',
		'rFont',
		'rGraphic',
		'rIBICol',
		'rIBIDir',
		'rIBILink',
		'rIBILoc',
		'rIBIMFD',
		'rIBISec',
		'rIBITab',
		'rIndex',
		'rIndTbsp',
		'rLabelG',
		'rLine',
		'rLineG',
		'rMDIndex',
		'rPart',
		'rPictG',
		'rPicture',
		'rProc',
		'rRelCol',
		'rRollSeg',
		'rSDColn',
		'rSDFld',
		'rSDFldVl',
		'rSeq',
		'rSpecSym',
		'rStamp',
		'rStampG',
		'rStoCfg',
		'rStogrp',
		'rSubZone',
		'rSvwCol',
		'rSvwFmt',
		'rTable',
		'rTableG',
		'rTabspc',
		'rTabTbsp',
		'rText',
		'rTextG',
		'rZone',
		'tImage',
		'tItgParm',
		'tLongTxt',
		'tPrtParm',
		'wBasType',
		'wCharact',
		'wComItem',
		'wCompCat',
		'wCompon',
		'wCompPrs',
		'wCorrCat',
		'wCorresp',
		'wDefault',
		'wDomain',
		'wDomPrs',
		'wDomVal',
		'wExtStru',
		'wItemPrs',
		'wNSRRep',
		'wProject',
		'wRepPrs',
		'wRepres',
		'wRule',
		'wSRRep',
		'wStruct',
		'wStruNod',
		'wStruPrs',
		'wSubStru',
		'wTargSys',
		'wTypePrs',
		'wUFldVal',
		'wUser',
		'wUserFld',
		'zChkTran',
		'zChkUsed',
		'zConnect',
		'zControl',
		'zModule'
	)

select @buf = "    Delete privileges: " + @nbtab + " tables on a total of 150."
print @buf


/* Number of Silverrun Repository tables user can update.*/

select @nbtab = convert(char(4), count(distinct o.name)) from sysobjects o, sysusers u, sysprotects p
where u.uid = p.uid and o.type = 'U' and o.id = p.id and u.name = @username and
p.action = 197 and o.name in
	(
		'dCell',
		'dCpnProc',
		'dCpnStor',
		'dDiag',
		'dDispDes',
		'dExEnGR',
		'dExEnPrs',
		'dExtEnt',
		'dFigure',
		'dFigurGR',
		'dFlow',
		'dFlowGR',
		'dFont',
		'dFText',
		'dFTextGR',
		'dGrapRep',
		'dLabelGR',
		'dLine',
		'dLineGR',
		'dLinkGR',
		'dNode',
		'dPictGR',
		'dPicture',
		'dProcess',
		'dProcFrm',
		'dProcGR',
		'dProcPrs',
		'dQualGR',
		'dQualif',
		'dQulExEn',
		'dQulFlow',
		'dQulProc',
		'dQulSto',
		'dResourc',
		'dResProc',
		'dStamp',
		'dStampGR',
		'dStore',
		'dStoreGR',
		'dStorPrs',
		'dZone',
		'rActCat',
		'rAction',
		'rAttrSet',
		'rBlkCfg',
		'rChoice',
		'rChoiceG',
		'rChoiLnG',
		'rColAct',
		'rColumn',
		'rColVal',
		'rCombCol',
		'rCombDir',
		'rCombin',
		'rCompTbl',
		'rConcAcc',
		'rConnect',
		'rConnG',
		'rConnvG',
		'rConstr',
		'rContent',
		'rDatabas',
		'rDescAcc',
		'rDiagram',
		'rDim',
		'rDirect',
		'rErrMsg',
		'rFigure',
		'rFigureG',
		'rFile',
		'rFilSgrp',
		'rFilTbsp',
		'rFont',
		'rGraphic',
		'rIBICol',
		'rIBIDir',
		'rIBILink',
		'rIBILoc',
		'rIBIMFD',
		'rIBISec',
		'rIBITab',
		'rIndex',
		'rIndTbsp',
		'rLabelG',
		'rLine',
		'rLineG',
		'rMDIndex',
		'rPart',
		'rPictG',
		'rPicture',
		'rProc',
		'rRelCol',
		'rRollSeg',
		'rSDColn',
		'rSDFld',
		'rSDFldVl',
		'rSeq',
		'rSpecSym',
		'rStamp',
		'rStampG',
		'rStoCfg',
		'rStogrp',
		'rSubZone',
		'rSvwCol',
		'rSvwFmt',
		'rTable',
		'rTableG',
		'rTabspc',
		'rTabTbsp',
		'rText',
		'rTextG',
		'rZone',
		'tImage',
		'tItgParm',
		'tLongTxt',
		'tPrtParm',
		'wBasType',
		'wCharact',
		'wComItem',
		'wCompCat',
		'wCompon',
		'wCompPrs',
		'wCorrCat',
		'wCorresp',
		'wDefault',
		'wDomain',
		'wDomPrs',
		'wDomVal',
		'wExtStru',
		'wItemPrs',
		'wNSRRep',
		'wProject',
		'wRepPrs',
		'wRepres',
		'wRule',
		'wSRRep',
		'wStruct',
		'wStruNod',
		'wStruPrs',
		'wSubStru',
		'wTargSys',
		'wTypePrs',
		'wUFldVal',
		'wUser',
		'wUserFld',
		'zChkTran',
		'zChkUsed',
		'zConnect',
		'zControl',
		'zModule'
	)

select @buf = "    Update privileges: " + @nbtab + " tables on a total of 150."
print @buf


end

set nocount off
